2009-09-25 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.35: added

2009-09-24 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.31.1
	* info/patches/maintenance_patches/patch-2.6.31.1: added

2009-09-16 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.34: added

2009-09-11 Arjan Bouter <abouter@sourcemage.org>
	* info/patches/zen_patches/2.6.30-zen4.patch: latest zen

2009-09-11 Ladislav Hagara <hgr@vabo.cz>
	* info/patches/ck_bfs/2.6.31-sched-bfs-211.patch: added

2009-09-10 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: Support 2.6.30
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.31.patch: SMGL Logo 0.2
	  patch for 2.6.31+ (Bug #15403)

2009-09-10 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: 2.6.31
	* info/kernels/2.6.31: added
	* info/patches/PRE_2_6/patch-2.6.31: added
	* info/patches/maintenance_patches/patch-2.6.31: added

2009-09-10 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.33: added

2009-09-09 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.32: added

2009-09-09 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.30.6
	* info/patches/maintenance_patches/patch-2.6.30.6: added

2009-09-06 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* UPDATE_BOOTLOADER: made lilo update the boot record even
	  on a degraded RAID array
	* info/patches/ck_bfs/2.6.30-sched-bfs-209.patch: added Con Kolivas'
	  new scheduler

2009-08-20 Arjan Bouter <abouter@sourcemage.org>
	* latest.defaults: updated latest zen
	* info/patches/zen_patches/2.6.30-zen3.5: added latest zen kernel

2009-08-18 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.31: added

2009-08-17 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.30: added

2009-08-16 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.30.5
	* info/patches/maintenance_patches/patch-2.6.30.5: added

2009-08-15 Arjan Bouter <abouter@sourcemage.org>
	* latest.defaults: updated latest pre2.6 and zen
	* info/patches/PRE_2_6/patch-2.6.31-rc6: added
	* info/patches/zen_patches/2.6.30-zen3: added latest zen kernel

2009-07-31 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.29: added

2009-07-31 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.30.4
	* info/patches/maintenance_patches/patch-2.6.30.4: added

2009-07-30 Arjan Bouter <abouter@sourcemage.org>
	* BUILD, INSTALL: disabled xen trickery
	* latest.defaults: updated latest maintenance, pre2.6 and zen
	* info/patches/maintenance_patches/patch-2.6.30.3: added
	* info/patches/PRE_2_6/patch-2.6.31-rc4: added
	* info/patches/zen_patches/2.6.30-zen1: added latest zen kernel

2009-07-25 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.28: added

2009-07-20 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.30.2
	* info/patches/maintenance_patches/patch-2.6.30.2: added

2009-07-20 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.27: added

2009-07-17 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.26: added

2009-07-03 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.29.6: added

2009-07-03 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.30.1
	* info/patches/maintenance_patches/patch-2.6.30.1: added

2009-06-21 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.29.5: added

2009-06-13 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.25: added

2009-06-10 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: 2.6.30
	* info/kernels/2.6.30: added
	* info/patches/PRE_2_6/patch-2.6.30: added
	* info/patches/maintenance_patches/patch-2.6.30: added

2009-05-20 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.24: added

2009-05-20 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.29.4
	* info/patches/maintenance_patches/patch-2.6.29.4: added

2009-05-09 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.23: added

2009-05-09 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest PRE_2_6 to patch-2.6.30-rc5
	* info/patches/PRE_2_6/patch-2.6.30-rc5: added

2009-05-09 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.29.3
	* info/patches/maintenance_patches/patch-2.6.29.3: added

2009-05-04 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.22: added

2009-04-28 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.29.2
	* info/patches/maintenance_patches/patch-2.6.29.2: added

2009-04-25 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest 2_6_PRE updated to 2.6.30-rc3
	* info/patches/PRE_2_6/patch-2.6.30-rc3: Added

2009-04-14 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest 2_6_PRE updated to 2.6.30-rc2
	* info/patches/PRE_2_6/patch-2.6.30-rc2: Added

2009-04-07 Arjan Bouter <abouter@sourcemage.org>
	* info/patches/zen_patches/2.6.29-zen2: added latest zen kernel

2009-04-04 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: Applies to
	  2.6.29 as well

2009-04-03 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.29.1
	* info/patches/maintenance_patches/patch-2.6.29.1: added

2009-03-24 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.28.9: Added
	* info/patches/maintenance_patches/patch-2.6.27.21: Added

2009-03-24 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: 2.6.29
	* info/kernels/2.6.29: added
	* info/patches/PRE_2_6/patch-2.6.29: added
	* info/patches/maintenance_patches/patch-2.6.29: added

2009-03-19 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: optionally depend on lzma-utils

2009-03-17 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.8
	* info/patches/maintenance_patches/patch-2.6.28.8: added

2009-03-17 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.20: added

2009-03-16 Arjan Bouter <abouter@sourcemage.org>
	* info/patches/zen_patches: added zen-sources kernel
	* PRE_BUILD: added lzma support for zen_patches

2009-03-09 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: Supports 2.6.28

2009-02-13 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated LATEST_PRE_2_6 to 2.6.29-rc7
	* info/patches/PRE_2_6/patch-2.6.29-rc7: Added

2009-02-21 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.7
	* info/patches/maintenance_patches/patch-2.6.28.7: added

2009-02-19 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.18: added

2009-02-17 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.6
	* info/patches/maintenance_patches/patch-2.6.28.6: added

2009-02-13 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.17: added
	* latest.defaults: Updated LATEST_PRE_2_6 to 2.6.29-rc4
	  Updated LATEST_PRE_2_6 to 2.6.29-rc5
	* info/patches/PRE_2_6/patch-2.6.29-rc4: Added
	* info/patches/PRE_2_6/patch-2.6.29-rc5: Added

2009-02-13 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.5
	* info/patches/maintenance_patches/patch-2.6.28.5: added

2009-02-08 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.4
	* info/patches/maintenance_patches/patch-2.6.28.4: added

2009-02-07 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.15: added

2009-02-03 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.3
	* info/patches/maintenance_patches/patch-2.6.28.3: added

2009-02-03 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.14: added

2009-01-29 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/PRE_2_6/patch-2.6.29-rc3: Added
	* latest.defaults: Updated LATEST_PRE_2_6 to 2.6.29-rc3
	* info/patches/maintenance_patches/patch-2.6.27.13: Added

2009-01-25 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.2
	* info/patches/maintenance_patches/patch-2.6.28.2: added

2009-01-19 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.{16.62,27.12}: added
	  patches for the uber-stable kernel branches (.16 && .27)
	* info/patches/maintenance_patches/patch-2.6.{16.57,25.19,26.7,27.{5-9}}:
	  removed old maintenance patches

2009-01-19 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.29-rc2
	* info/patches/PRE_2_6/patch-2.6.29-rc2: added

2009-01-18 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.28.1
	* info/patches/maintenance_patches/patch-2.6.28.1: added

2009-01-17 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.27.11: added

2008-12-25 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: 2.6.28
	* info/kernels/2.6.28: added
	* info/patches/maintenance_patches/patch-2.6.28: added

2008-12-18 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.10
	* info/patches/maintenance_patches/patch-2.6.27.10: added

2008-12-14 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.9
	* info/patches/maintenance_patches/patch-2.6.27.9: added

2008-12-13 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated latest PRE_2_6 to 2.6.28-rc8
	* info/patches/PRE_2_6/patch-2.6.28-rc8: Added

2008-12-07 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated latest to patch-2.6.27.8
	  Updated latest PRE_2_6 to 2.6.28-rc7
	* info/patches/maintenance_patches/patch-2.6.27.8: Added
	* info/patches/PRE_2_6/patch-2.6.28-rc7: Added

2008-12-04 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: also create an initrd.img symlink, patch by Finn Haedicke #14546

2008-11-21 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated latest PRE_2_6 to 2.6.28-rc6
	* info/patches/PRE_2_6/patch-2.6.28-rc6: Added

2008-11-21 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.7
	* info/patches/maintenance_patches/patch-2.6.27.7: added

2008-11-13 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.6
	* info/patches/maintenance_patches/patch-2.6.27.6: added

2008-11-09 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.26.8: Added
	* info/patches/maintenance_patches/patch-2.6.25.20: Added

2008-11-09 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated LATEST_PRE_2_6 to patch-2.6.28-rc4
	* info/patches/PRE_2_6/patch-2.6.28-rc4: Added

2008-11-07 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated LATEST_maintenance_patches to 2.6.27.5
	* info/patches/maintenance_patches/patch-2.6.27.5: added
	* info/patches/maintenance_patches/patch-2.6.27.4: removed

2008-11-06 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated LATEST_PRE_2_6 to patch-2.6.28-rc3
	* info/patches/PRE_2_6/patch-2.6.28-rc3: Added

2008-11-01 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated LATEST_PRE_2_6 to patch-2.6.28-rc2
	* info/patches/PRE_2_6/patch-2.6.28-rc2: Added

2008-10-26 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.26.7: Added
	* info/patches/maintenance_patches/patch-2.6.25.19: Added
	* info/patches/maintenance_patches/patch-2.6.24.7: chmod +x
	* info/patches/maintenance_patches/patch-2.6.11.{10,11,1,3,4,5,6,7,8,9},
	  patch-2.6.12.{1,2,3,4,5}, patch-2.6.13.{1,2,3,4},
	  patch-2.6.14.{1,2,3,4,5,6}, patch-2.6.15.{1,2,3,4,5,6},
	  patch-2.6.16.{5,6,7,8,9,1*,2*,3*,4*,51,52,53,54,55,56},
	  patch-2.6.17.{1,2,3,4,5,6,7,8,9,10,11,12,13},
	  patch-2.6.18.{1,2,3,4,5,6,7}, patch-2.6.19.{1,2,3,4,5,6},
	  patch-2.6.20.{1*,2,3,4,5,6,7,8,9,20}, patch-2.6.21.{1,2,3,4,5,6},
	  patch-2.6.22.{1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18},
	  patch-2.6.23.{1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16},
	  patch-2.6.24.{1,2,3,4,5,6},
	  patch-2.6.25.{1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17},
	  patch-2.6.26.{1,2,3,4,5,6}, patch-2.6.27.{1,2,3}:
	  Remove older patches, leaving latest for that branch

2008-10-26 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated LATEST_maintenance_patches to 2.6.27.4
	* info/patches/maintenance_patches/patch-2.6.27.4: added

2008-10-24 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated LATEST_PRE_2_6 to patch-2.6.28-rc1
	* info/patches/PRE_2_6/patch-2.6.28-rc1: added

2008-10-23 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.3
	* info/patches/maintenance_patches/patch-2.6.27.3: added

2008-10-19 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.2
	* info/patches/maintenance_patches/patch-2.6.27.2: added

2008-10-16 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.27.1
	* info/patches/maintenance_patches/patch-2.6.27.1: added

2008-10-13 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: Works with
	  2.6.26
	  Also works with 2.6.27

2008-10-10 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: 2.6.27
	* info/kernels/2.6.27: added
	* info/patches/PRE_2_6/patch-2.6.27: added
	* info/patches/maintenance_patches/patch-2.6.27: added

2008-10-09 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.26.6
	* info/patches/maintenance_patches/patch-2.6.26.6: added

2008-10-05 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Set latest PRE_2_6 to 2.6.27-rc8
	* info/patches/PRE_2_6/patch-2.6.27-rc8: Added

2008-09-22 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Set latest PRE_2_6 to 2.6.27-rc7
	* info/patches/PRE_2_6/patch-2.6.27-rc7: Added

2008-09-10 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Set latest PRE_2_6 to 2.6.27-rc6
	  Set LATEST_mm_patches to 2.6.27-rc5-mm1
	* info/patches/PRE_2_6/patch-2.6.27-rc6: Added
	* info/patches/maintenance_patches/patch-2.6.25.17: Added
	* info/patches/mm_patches/2.6.27-rc5-mm1: Added

2008-09-08 Arjan Bouter <abouter@sourcemage.org>
	* info/patches/dazuko_patches/: added dazuko patches for 2.6.25* and 2.6.26*

2008-09-08 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.26.5
	* info/patches/maintenance_patches/patch-2.6.26.5: added

2008-09-08 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.26.4
	* info/patches/maintenance_patches/patch-2.6.26.4: added
	* info/updatepatch: updated due to git changes

2008-09-07 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: strip modules if strip is in the sorcery optimisation list,
	  slightly modified patch from Glyn Kennington #14563

2008-08-30 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Set latest PRE_2_6 to 2.6.27-rc5
	* info/patches/PRE_2_6/patch-2.6.27-rc5: Added

2008-08-23 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Set latest PRE_2_6 to 2.6.27-rc4
	* info/patches/PRE_2_6/patch-2.6.27-rc4: Added

2008-08-23 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.25.16: Added

2008-08-20 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.26.3
	* info/patches/maintenance_patches/patch-2.6.26.3: added

2008-08-19 Robert Figura <rfigura@sourcemage.org>
	* DEPENDS: added optional_depends mtools

2008-08-14 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/PRE_2_6/patch-2.6.27-rc3: Added
	* latest.defaults: Set latest PRE_2_6 to 2.6.27-rc3

2008-08-06 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.25.15: Added

2008-08-06 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.26.2
	* info/patches/maintenance_patches/patch-2.6.26.2: added

2008-08-04 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.25.14: Added
	* info/patches/maintenance_patches/patch-2.6.25.13: Added
	* info/patches/maintenance_patches/patch-2.6.25.12: Added

2008-08-02 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated latest to patch-2.6.26.1
	* info/patches/maintenance_patches/patch-2.6.26.1: added

2008-07-14 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: 2.6.26
	* info/kernels/2.6.26: added
	* info/patches/PRE_2_6/patch-2.6.26: added
	* info/patches/maintenance_patches/patch-2.6.26: added

2008-07-13 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.11
	* info/patches/maintenance_patches/patch-2.6.25.11: added

2008-07-03 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.10
	* info/patches/maintenance_patches/patch-2.6.25.10: added

2008-06-25 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.9
	* info/patches/maintenance_patches/patch-2.6.25.9: added

2008-06-23 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.8
	* info/patches/maintenance_patches/patch-2.6.25.8: added

2008-06-21 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: don't do useless doc'ing

2008-06-17 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.7
	* info/patches/maintenance_patches/patch-2.6.25.7: added

2008-06-09 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.6
	* info/patches/maintenance_patches/patch-2.6.25.6: added

2008-06-07 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.5
	* info/patches/maintenance_patches/patch-2.6.25.5: added

2008-06-06 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: fixed
	  source_url
	* info/patches/realtime_patches/patch-2.6.25.4-rt5: added realtime patch
	  for 2.6.25 kernel
	* latest.defaults: updated latest realtime entry

2008-05-23 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: Works with
	  2.6.25 as well

2008-05-15 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.4
	* info/patches/maintenance_patches/patch-2.6.25.4: added

2008-05-12 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.24.7: added

2008-05-10 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.3
	* info/patches/maintenance_patches/patch-2.6.25.3: added

2008-05-07 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.2
	* info/patches/maintenance_patches/patch-2.6.25.2: added

2008-05-03 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.24.6: added

2008-05-02 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.25.1
	* info/patches/maintenance_patches/patch-2.6.25.1: added

2008-04-24 Eric Sandall <sandalle@sourcemage.org>
	* INSTALL: Fix from Jiri Golembiovsky <golemj@gmail.com> posted
	  in Bug #14480 to ifenslave is linked

2008-04-23 Eric Sandall <sandalle@sourcemage.org>
	* PRE_BUILD: Only fix linux kernel for gcc >= 4.3.0 (Bug #14480)
	  patch from Jiri Golembiovsky <golemj@gmail.com>

2008-04-21 Vlad Glagolev <stealth@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.24.5: added

2008-04-17 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated latest to 2.6.25
	* info/patches/maintenance_patches/patch-2.6.25: added
	* info/patches/PRE_2_6/patch-2.6.25: added

2008-04-14 Vlad Glagolev <stealth@sourcemage.org>
	* PRE_BUILD: fixed compilation with gcc 4.3

2008-03-19 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest maintenance to patch-2.6.24.4
	  Latest realtime is 2.6.24.4-rt4
	  Latest git patch is 2.6.25-rc6-git7
	* info/patches/maintenance_patches/patch-2.6.24.4: Added
	* info/patches/realtime_patches/patch-2.6.24.4-rt4: Added
	* info/patches/git_patches/patch-2.6.25-rc6-git7: Added

2008-03-19 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest PRE_2_6 is 2.6.25-rc6
	* info/patches/PRE_2_6/patch-2.6.25-rc6: Added

2008-03-11 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest mm_patch is 2.6.25-rc5-mm1
	* info/patches/mm_patches/2.6.25-rc5-mm1: Added

2008-03-10 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest PRE_2_6 is 2.6.25-rc5
	* info/patches/PRE_2_6/patch-2.6.25-rc5: Added

2008-03-08 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest PRE_2_6 is 2.6.25-rc4
	* info/patches/PRE_2_6/patch-2.6.25-rc4: Added

2008-03-07 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest mm_patch is 2.6.25-rc3-mm1
	* info/patches/mm_patches/2.6.25-rc3-mm1: Added

2008-02-26 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/mm_patches/2.6.25-rc2-mm1: Added
	* info/patches/PRE_2_6/patch-2.6.25-rc2: Added (for 2.6.25-rc2-mm1)
	* latest.defaults: Latest mm_patch is 2.6.25-rc2-mm1
	  Latest PRE_2_6 is 2.6.25-rc3
	* info/patches/PRE_2_6/patch-2.6.25-rc3: Added
	* info/patches/maintenance_patches/patch-2.6.23.17: Added
	* info/patches/maintenance_patches/patch-2.6.22.19: Added
	  Security fix for CVE-2007-3731

2008-02-26 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.24.3
	* info/patches/maintenance_patches/patch-2.6.24.3: added

2008-02-11 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated to 2.6.24.2
	* info/patches/maintenance_patches/patch-2.6.24.2: added
	* info/patches/maintenance_patches/patch-2.6.23.16: added
	* info/patches/maintenance_patches/patch-2.6.22.18: added

2008-02-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: removed UPDATED, fixed short desc, WEB_SITE
	* HISTORY: fixed Pol's typo :P
	* latest.defaults: updated to 2.6.24.1
	* info/patches/maintenance_patches/patch-2.6.24.1: added
	* info/patches/maintenance_patches/patch-2.6.23.15: added
	* info/patches/maintenance_patches/patch-2.6.22.15: added
	* info/patches/maintenance_patches/patch-2.6.22.16: added
	* info/patches/maintenance_patches/patch-2.6.22.17: added

2008-02-02 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/realtime_patches/patch-2.6.24-rt1: added
	* latest.defaults: set LATEST_realtime_patches=patch-2.6.24-rt1

2008-01-25 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: Supports 2.6.24

2008-01-25 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated latest to 2.6.24
	* info/patches/maintenance_patches/patch-2.6.24: added
	* info/patches/PRE_2_6/patch-2.6.24: added

2008-01-16 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.24-rc8
	* info/patches/PRE_2_6/patch-2.6.24-rc8: added

2008-01-15 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.23.14
	* info/patches/maintenance_patches/patch-2.6.23.14: added

2008-01-11 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/smgl_patches/e1000e-2.6.23.patch: Added Intel PCI-E
	  Gigabit NIC driver from Auke Kok (sofar in #lunar ;)) with a cleanup
	  patch from Jeff Garzik

2008-01-10 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.24-rc7
	* info/patches/PRE_2_6/patch-2.6.24-rc7: added

2008-01-10 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.23.13
	* info/patches/maintenance_patches/patch-2.6.23.13: added

2008-01-06 Vlad Glagolev <stealth@sourcemage.org>
	* volatiles: added ^/boot/config-* (bug about mac80211 stealthy
	  install procedure in FINAL)

2007-12-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.24-rc6-mm1
	* info/patches/mm_patches/2.6.24-rc6-mm1: added
	* latest.defaults: updated latest to patch-2.6.24-rc6
	* info/patches/PRE_2_6/patch-2.6.24-rc6: added

2007-12-19 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated latest to patch-2.6.23.12
	* info/patches/maintenance_patches/patch-2.6.23.12: added

2007-12-15 Vlad Glagolev <stealth@sourcemage.org>
	* latest.defaults: updated latest to patch-2.6.23.11
	* info/patches/maintenance_patches/patch-2.6.23.11: added

2007-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.10
	* info/patches/maintenance_patches/patch-2.6.23.10: added

2007-12-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.24-rc5-mm1
	* info/patches/mm_patches/2.6.24-rc5-mm1: added
	* info/patches/mm_patches/2.6.24-rc4-mm1: added
	* latest.defaults: updated latest to patch-2.6.24-rc5
	* info/patches/PRE_2_6/patch-2.6.24-rc5: added

2007-12-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.24-rc4
	* info/patches/PRE_2_6/patch-2.6.24-rc4: added

2007-12-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.24-rc3-mm2
	* info/patches/mm_patches/2.6.24-rc3-mm2: added

2007-12-01 David Brown <dmlb2000@gmail.com>
    * info/patches/xen_patches/xen-3.1.2-2.6.18.8-hg323.patch: added

2007-11-30 David Brown <dmlb2000@gmail.com>
    * BUILD: added some checks for xen kernel
    * INSTALL: added some checks for xen kernel and fixed location

2007-11-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.9
	* info/patches/maintenance_patches/patch-2.6.23.9: added
	* info/patches/maintenance_patches/patch-2.6.22.14: added

2007-11-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.24-rc3-mm1
	* info/patches/mm_patches/2.6.24-rc3-mm1: added

2007-11-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.24-rc3
	* info/patches/PRE_2_6/patch-2.6.24-rc3: added

2007-11-16 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.12.6: added
	* info/patches/maintenance_patches/patch-2.6.13.5: added
	* info/patches/maintenance_patches/patch-2.6.22.13: added

2007-11-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.8
	* info/patches/maintenance_patches/patch-2.6.23.8: added

2007-11-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.7
	* info/patches/maintenance_patches/patch-2.6.23.7: added
	* info/patches/maintenance_patches/patch-2.6.23.6: added
	* info/patches/maintenance_patches/patch-2.6.23.5: added
	* info/patches/maintenance_patches/patch-2.6.23.4: added
	* info/patches/maintenance_patches/patch-2.6.23.3: added

2007-11-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.2
	* info/patches/maintenance_patches/patch-2.6.23.2: added

2007-11-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.24-rc2-mm1
	* info/patches/mm_patches/2.6.24-rc2-mm1: added

2007-11-12 Dale E. Edmons<demaillists@comcast.net>
	* templates/README: Corrected minor typos
	* templates/menu.lst.tmplt: removed vga=791, prevents boot, default okay
	* templates/yaboot.conf.tmplt: removed vga=791, prevents boot
	* templates/lilo.conf.tmplt: removed vga=791, prevents boot
	* templates/silo.conf.tmplt: removed vga=791, prevents boot

2007-11-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.1-rt11
	* info/patches/realtime_patches/patch-2.6.23.1-rt11: added

2007-11-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.24-rc2
	* info/patches/PRE_2_6/patch-2.6.24-rc2: added

2007-11-05 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.56: added
	* info/patches/maintenance_patches/patch-2.6.16.57: added
	* info/patches/maintenance_patches/patch-2.6.20.21: added
	* info/patches/maintenance_patches/patch-2.6.22.11: added
	* info/patches/maintenance_patches/patch-2.6.22.12: added

2007-11-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.1-rt5
	* info/patches/realtime_patches/patch-2.6.23.1-rt5: added

2007-10-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23.1-rt4
	* info/patches/realtime_patches/patch-2.6.23.1-rt4: added

2007-10-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.24-rc1
	* info/patches/PRE_2_6/patch-2.6.24-rc1: added

2007-10-17 David Brown <dmlb2000@gmail.com>
	* BUILD: cleaned up BUILD process to reduce the number of times
	  we call make to the kernel in the code and some syntax errors

2007-10-14 David Brown <dmlb2000@gmail.com>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.22.patch: added

2007-10-14 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.54: added
	* info/patches/maintenance_patches/patch-2.6.16.55: added
	* info/patches/maintenance_patches/patch-2.6.20.16: added
	* info/patches/maintenance_patches/patch-2.6.20.17: added
	* info/patches/maintenance_patches/patch-2.6.20.18: added
	* info/patches/maintenance_patches/patch-2.6.20.19: added
	* info/patches/maintenance_patches/patch-2.6.20.20: added
	* info/patches/maintenance_patches/patch-2.6.21.7: added
	* info/patches/maintenance_patches/patch-2.6.22.10: added

2007-10-14 David Brown <dmlb2000@gmail.com>
	* info/patches/reiser4_patches/reiser4-for-2.6.19-4.patch: added
	* info/patches/reiser4_patches/reiser4-for-2.6.20.patch: added
	* info/patches/reiser4_patches/reiser4-for-2.6.21.patch: added
	* info/patches/reiser4_patches/reiser4-for-2.6.22-2.patch: added

2007-10-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rt1
	* info/patches/realtime_patches/patch-2.6.23-rt1: added and url and sig

2007-10-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-mm1
	* info/patches/mm_patches/2.6.23-mm1: added
	* info/patches/maintenance_patches/patch-2.6.23.1: added

2007-10-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated to 2.6.23 everything
	* info/patches/PRE_2_6/patch-2.6.23: added
	* info/patches/maintenance_patches/patch-2.6.23: added
	* info/kernels/2.6.23: added

2007-10-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc9
	* info/patches/PRE_2_6/patch-2.6.23-rc9: added

2007-09-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc8-mm2
	* info/patches/mm_patches/2.6.23-rc8-mm2: added

2007-09-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.9
	* info/patches/maintenance_patches/patch-2.6.22.9: added

2007-09-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.8
	* info/patches/maintenance_patches/patch-2.6.22.8: added

2007-09-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc8-mm1
	* info/patches/mm_patches/2.6.23-rc8-mm1: added

2007-09-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc8
	* info/patches/PRE_2_6/patch-2.6.23-rc8: added

2007-09-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc7-mm1
	* info/patches/mm_patches/2.6.23-rc7-mm1: added

2007-09-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.7
	* info/patches/maintenance_patches/patch-2.6.22.7: added

2007-09-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc7
	* info/patches/PRE_2_6/patch-2.6.23-rc7: added

2007-09-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc6-mm1
	* info/patches/mm_patches/2.6.23-rc6-mm1: added

2007-09-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc6
	* info/patches/PRE_2_6/patch-2.6.23-rc6: added

2007-09-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc5
	* info/patches/PRE_2_6/patch-2.6.23-rc5: added

2007-09-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc4-mm1
	* info/patches/mm_patches/2.6.23-rc4-mm1: added

2007-08-31 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.22.6
	* info/patches/maintenance_patches/patch-2.6.22.6: added

2007-08-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc4
	* info/patches/PRE_2_6/patch-2.6.23-rc4: added

2007-08-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc3-mm1
	* info/patches/mm_patches/2.6.23-rc3-mm1: added

2007-08-24 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.22.5
	* info/patches/maintenance_patches/patch-2.6.22.5: added

2007-08-24 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.22.4
	* info/patches/maintenance_patches/patch-2.6.22.4: added

2007-08-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.3
	* info/patches/maintenance_patches/patch-2.6.22.3: added

2007-08-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc3
	* info/patches/PRE_2_6/patch-2.6.23-rc3: added

2007-08-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc2-mm2
	* info/patches/mm_patches/2.6.23-rc2-mm2: added

2007-08-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc2-mm1
	* info/patches/mm_patches/2.6.23-rc2-mm1: added

2007-08-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc2-mm1
	* info/patches/mm_patches/2.6.22-rc2-mm1: added

2007-08-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.2
	* info/patches/maintenance_patches/patch-2.6.22.2: added

2007-08-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc2
	* info/patches/PRE_2_6/patch-2.6.23-rc2: added

2007-08-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc1-mm2
	* info/patches/mm_patches/2.6.23-rc1-mm2: added

2007-08-03 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/acpi_dsdt_initrd_patches/acpi-dsdt-initrd-v0.8.4-2.6.21.patch:
	  added for 2.6.2{1,2}

2007-07-29 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.52: added
	* info/patches/maintenance_patches/patch-2.6.16.53: added

2007-07-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.23-rc1-mm1
	* info/patches/mm_patches/2.6.23-rc1-mm1: added

2007-07-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.23-rc1
	* info/patches/PRE_2_6/patch-2.6.23-rc1: added

2007-07-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.1-rt2
	* info/patches/realtime_patches/patch-2.6.22.1-rt2: added

2007-07-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22.1
	* info/patches/maintenance_patches/patch-2.6.22.1: added

2007-07-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-cks1
	* info/patches/ck_server_patches/patch-2.6.22-cks1: added
	* info/patches/ck_patches/patch-2.6.22-ck1: added

2007-06-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated to 2.6.22
	* info/kernels/2.6.22: added
	* info/patches/maintenance_patches/patch-2.6.22: added
	* info/patches/PRE_2_6/patch-2.6.22: added

2007-07-06 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated latest maintenance to 2.6.21.6
	* info/patches/maintenance_patches/patch-2.6.21.6: Added
	* info/patches/maintenance_patches/patch-2.6.20.15: Added

2007-07-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21.5-rt18
	* info/patches/realtime_patches/patch-2.6.21.5-rt18: added

2007-07-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc7
	* info/patches/PRE_2_6/patch-2.6.22-rc7: added

2007-06-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc6-mm1
	* info/patches/mm_patches/2.6.22-rc6-mm1: added

2007-06-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc6
	* info/patches/PRE_2_6/patch-2.6.22-rc6: added

2007-06-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc5
	* info/patches/PRE_2_6/patch-2.6.22-rc5: added

2007-06-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-cks2
	* info/patches/ck_server_patches/patch-2.6.21-cks2: added
	* latest.defaults: updated latest to patch-2.6.21-ck2
	* info/patches/ck_patches/patch-2.6.21-ck2: added

2007-06-11 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.20.14: added

2007-06-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21.5
	* info/patches/maintenance_patches/patch-2.6.21.5: added

2007-06-10 David Brown <dmlb2000@gmail.com>
	* info/patches/realtime_preempt/patch-2.6.21.4-rt12: added
	* latests.defaults: updated realtime_preempt patches

2007-06-10 David Brown <dmlb2000@gmail.com>
	* info/updatepatch: reverted the hour:minute for history entry I just
	  won't bother doing merges anymore then...

2007-06-10 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.20.13: added

2007-06-10 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* PREPARE: fix typo #13824

2007-06-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc4-mm2
	* info/patches/mm_patches/2.6.22-rc4-mm2: added

2007-06-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21.4
	* info/patches/maintenance_patches/patch-2.6.21.4: added

2007-06-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc4-mm1
	* info/patches/mm_patches/2.6.22-rc4-mm1: added

2007-06-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc4
	* info/patches/PRE_2_6/patch-2.6.22-rc4: added

2007-06-04 David Brown <dmlb2000@gmail.com>
	* info/updatepatch: added minute and hour to script

2007-06-02 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* info/patches/squashfs_patches/squashfs2.1-patch: removed; vanished #9845

2007-05-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc3-mm1
	* info/patches/mm_patches/2.6.22-rc3-mm1: added

2007-05-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc3
	* info/patches/PRE_2_6/patch-2.6.22-rc3: added

2007-05-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21.3
	* info/patches/maintenance_patches/patch-2.6.21.3: added
	* info/patches/maintenance_patches/patch-2.6.20.12: added

2007-05-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc2-mm1
	* info/patches/mm_patches/2.6.22-rc2-mm1: added

2007-05-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21.2
	* info/patches/maintenance_patches/patch-2.6.21.2: added

2007-05-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rt7
	* info/patches/realtime_patches/patch-2.6.21-rt7: added
	* info/patches/realtime_patches/patch-2.6.21-rt6: removed lost to time

2007-05-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rt6
	* info/patches/realtime_patches/patch-2.6.21-rt6: added

2007-05-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc2
	* info/patches/PRE_2_6/patch-2.6.22-rc2: added

2007-05-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.22-rc1-mm1
	* info/patches/mm_patches/2.6.22-rc1-mm1: added

2007-05-14 David Brown <dmlb2000@gmail.com>
	* PREPARE: lots of UI improvements part of bug #13597

2007-05-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.22-rc1
	* info/patches/PRE_2_6/patch-2.6.22-rc1: added

2007-05-10 David Brown <dmlb2000@gmail.com>
	* info/patches/xen_patches/xen-3.1.0-rc10-15040-2.6.18.patch: added

2007-05-09 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: LATEST_mm_patches updated to 2.6.21-mm2
	* info/patches/maintenance_patches/2.6.16.51: Added

2007-05-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-mm1
	* info/patches/mm_patches/2.6.21-mm1: added

2007-05-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-cks1
	* info/patches/ck_server_patches/patch-2.6.21-cks1: added
	* latest.defaults: updated latest to patch-2.6.21-ck1
	* info/patches/ck_patches/patch-2.6.21-ck1: added

2007-05-02 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.20.11: Added

2007-04-27 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.48: added
	* info/patches/maintenance_patches/patch-2.6.16.49: added

2007-04-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21.1
	* info/patches/maintenance_patches/patch-2.6.21.1: added
	* info/patches/maintenance_patches/patch-2.6.20.10: added

2007-04-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc7-mm2
	* info/patches/mm_patches/2.6.21-rc7-mm2: added
	* info/patches/mm_patches/2.6.21-rc7-mm1: added

2007-04-26 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/maintenance_patches/patch-2.6.20.9: Added
	* info/patches/realtime_patches/patch-2.6.21-rt: Added
	* latest.defaults: LATEST_realtime_patches updated to patch-2.6.21-rt

2007-04-25 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Updated LATEST_2_6, LATEST_2_6_PRE, and
	  LATEST_maintenance_patches to 2.6.21
	* info/kernels/2.6.21: Added
	* info/patches/maintenance_patches/patch-2.6.21: Added
	* info/patches/PRE_2_6/patch-2.6.21: Added
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.15.patch: Add 2.6.21
	  to applied_kernels

2007-04-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.8
	* info/patches/maintenance_patches/patch-2.6.20.8: added

2007-04-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc7
	* info/patches/PRE_2_6/patch-2.6.21-rc7: added

2007-04-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.7
	* info/patches/maintenance_patches/patch-2.6.20.7: added
	* info/patches/maintenance_patches/patch-2.6.16.47: added

2007-04-09 David Brown <dmlb2000@gmail.com>
	* info/patches/realtime-lsm_patches/.info: new patch (bug #12938)
	* info/patches/realtime-lsm_patches/rt-lsm-0.8.7-kernel.patch: added
	  and fixed url
	* info/patches/vserver_patches/.info: new patch (bug #13079)
	* info/patches/vserver_patches/patch-2.6.20.4-vs2.2.0.diff: added
	* info/patches/vserver_patches/patch-2.6.19.7-vs2.2.0.diff: added

2007-04-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc6-mm1
	* info/patches/mm_patches/2.6.21-rc6-mm1: added

2007-04-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.6
	* info/patches/maintenance_patches/patch-2.6.20.6: added

2007-04-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.5
	* info/patches/maintenance_patches/patch-2.6.20.5: added

2007-04-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc6
	* info/patches/PRE_2_6/patch-2.6.21-rc6: added

2007-04-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc5-mm4
	* info/patches/mm_patches/2.6.21-rc5-mm4: added

2007-04-01 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.9.10-for-2.6.20.patch: added

2007-03-31 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.44: added
	* info/patches/maintenance_patches/patch-2.6.16.45: added
	* info/patches/maintenance_patches/patch-2.6.16.46: added
	* info/patches/maintenance_patches/patch-2.6.19.7: added

2007-03-31 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.9-for-2.6.17.14.patch: added
	* info/patches/sws2_patches/suspend2-2.2.9-for-2.6.18.3.patch: added
	* info/patches/sws2_patches/suspend2-2.2.9-for-2.6.19.patch: added
	* above: fixed the signatures name changed on me

2007-03-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc5-mm3
	* info/patches/mm_patches/2.6.21-rc5-mm3: added

2007-03-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc5-mm2
	* info/patches/mm_patches/2.6.21-rc5-mm2: added

2007-03-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc5-mm1
	* info/patches/mm_patches/2.6.21-rc5-mm1: added

2007-03-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc5
	* info/patches/PRE_2_6/patch-2.6.21-rc5: added

2007-03-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.4
	* info/patches/maintenance_patches/patch-2.6.20.4: added

2007-03-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc4-mm1
	* info/patches/mm_patches/2.6.21-rc4-mm1: added

2007-03-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc4
	* info/patches/PRE_2_6/patch-2.6.21-rc4: added

2007-03-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.3
	* info/patches/maintenance_patches/patch-2.6.20.3: added

2007-03-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20.2
	* info/patches/maintenance_patches/patch-2.6.20.2: added

2007-03-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc3-mm2
	* info/patches/mm_patches/2.6.21-rc3-mm2: added

2007-03-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc3-mm1
	* info/patches/mm_patches/2.6.21-rc3-mm1: added

2007-03-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc2-mm2
	* info/patches/mm_patches/2.6.21-rc2-mm2: added

2007-03-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc3
	* info/patches/PRE_2_6/patch-2.6.21-rc3: added

2007-03-02 David Brown <dmlb2000@gmail.com>
	* info/patches/xen_patches/.info: added
	* info/patches/xen_patches/xen-unstable-14201-2.6.18.patch: added
	* info/patches/unionfs_patches/unionfs-1.4-2.6.18.patch: added
	* info/patches/unionfs_patches/.info: added

2007-03-02 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.19.6: added
	* info/patches/maintenance_patches/patch-2.6.16.42: added
	* info/patches/maintenance_patches/patch-2.6.16.43: added

2007-03-02 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.21-rc2-mm1
	* info/patches/mm_patches/2.6.21-rc2-mm1: added

2007-02-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc2
	* info/patches/PRE_2_6/patch-2.6.21-rc2: added

2007-02-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rt8
	* info/patches/realtime_patches/patch-2.6.20-rt8: added

2007-02-24 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.19.5: added
	* info/patches/maintenance_patches/patch-2.6.18.8: added
	* info/patches/maintenance_patches/patch-2.6.16.41: added

2007-02-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.21-rc1
	* info/patches/PRE_2_6/patch-2.6.21-rc1: added and fixed it

2007-02-20 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.18.7: added
	* info/patches/maintenance_patches/patch-2.6.19.3: added
	* info/patches/maintenance_patches/patch-2.6.19.4: added
	* info/patches/maintenance_patches/patch-2.6.20.1: added
	* latest.defaults: updated latest maintenance to 2.6.20.1

2007-02-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-mm2
	* info/patches/mm_patches/2.6.20-mm2: added

2007-02-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-cks1
	* info/patches/ck_server_patches/patch-2.6.20-cks1: added

2007-02-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-ck1
	* info/patches/ck_patches/patch-2.6.20-ck1: added

2007-02-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-mm1
	* info/patches/mm_patches/2.6.20-mm1: added

2007-02-13 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/acpi_dsdt_initrd_patches/acpi-dsdt-initrd-v0.8.3-2.6.20.patch:
	  added for 2.6.20

2007-02-11 David Brown <dmlb2000@gmail.com>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.15.patch: updated to
	  2.6.20
	* info/patches/maintenance_patches/patch-2.6.16.40: added

2007-02-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rt5
	* info/patches/realtime_patches/patch-2.6.20-rt5: added

2007-02-04 David Brown <dmlb2000@gmail.com>
	* info/kernels/2.6.20: added
	* info/patches/maintenance_patches/patch-2.6.20: added
	* info/patches/PRE_2_6/patch-2.6.20: added
	* latest.defaults: updated 2.6.20 new kernel

2007-02-04 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.37: added
	* info/patches/maintenance_patches/patch-2.6.16.38: added
	* info/patches/maintenance_patches/patch-2.6.16.39: added
	* info/patches/maintenance_patches/patch-2.6.18.5: added
	* info/patches/maintenance_patches/patch-2.6.18.6: added

2007-01-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc7
	* info/patches/PRE_2_6/patch-2.6.20-rc7: added

2007-01-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc6-mm3
	* info/patches/mm_patches/2.6.20-rc6-mm3: added

2007-01-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc6-mm2
	* info/patches/mm_patches/2.6.20-rc6-mm2: added

2007-01-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc6-mm1
	* info/patches/mm_patches/2.6.20-rc6-mm1: added

2007-01-29 David Brown <dmlb2000@gmail.com>
	* INSTALL: called mkinitrd with --force so it will blow away old initrd

2007-01-28 David Brown <dmlb2000@gmail.com>
	* mkinitrd: moved to linux-initramfs spell
	* installkernel: moved to linux-initramfs spell
	* INSTALL: removed install of mkinitrd and installkernel added
	  generating mkinitrd image using the mkinitrd script
	  fixed checking if linux-initramfs is enabled...
	  ignore missing modules if they happen to not be there
	* DEPENDS: added optional depends linux-initramfs

2007-01-27 David Brown <dmlb2000@gmail.com>
	* mkinitrd: created and added mount proc and fixed dev parts
	* INSTALL: added install of installkernel and mkinitrd

2007-01-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc6
	* info/patches/PRE_2_6/patch-2.6.20-rc6: added

2007-01-24 Juuso Alasuutari <iuso@sourcemage.org>
	* UP_TRIGGERS: Fixed typo in var name.

2007-01-21 Juuso Alasuutari <iuso@sourcemage.org>
	* UP_TRIGGERS: Added, when casting a > 2.6.14 kernel upgrade to
	  newer udev if installed version is < 093 (bug #13417).

2007-01-18 David Brown <dmlb2000@gmail.com>
	* info/patches/xen_patches/xen-3.0.4-2.6.16.33.patch: added

2007-01-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc5
	* info/patches/PRE_2_6/patch-2.6.20-rc5: added

2007-01-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc4-mm1
	* info/patches/mm_patches/2.6.20-rc4-mm1: added

2007-01-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19.2
	* info/patches/maintenance_patches/patch-2.6.19.2: added

2007-01-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc4
	* info/patches/PRE_2_6/patch-2.6.20-rc4: added

2007-01-06 David Brown <dmlb2000@gmail.com>
	* BUILD: make modules first just incase the initramfs depends on modules

2007-01-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc3-mm1
	* info/patches/mm_patches/2.6.20-rc3-mm1: added

2006-12-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc3
	* info/patches/PRE_2_6/patch-2.6.20-rc3: added

2006-12-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc2-mm1
	* info/patches/mm_patches/2.6.20-rc2-mm1: added

2006-12-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc2
	* info/patches/PRE_2_6/patch-2.6.20-rc2: added

2006-12-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to grsecurity-2.1.9-2.6.19.1-200612121859.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.9-2.6.19.1-200612121859.patch: added

2006-12-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rt9
	* info/patches/realtime_patches/patch-2.6.19-rt9: added
	* info/patches/realtime_patches/patch-2.6.20-rc1-rt3: added
	* info/patches/reiser4_patches/reiser4-for-2.6.18-3.patch: added
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.15.patch: updated to
	  work with 2.6.19

2006-12-21 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: if KMODE isn't set by this point error out
	* liblinux: output wether there are conflicts or not

2006-12-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.20-rc1-mm1
	* info/patches/mm_patches/2.6.20-rc1-mm1: added

2006-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-cks2
	* info/patches/ck_server_patches/patch-2.6.19-cks2: added

2006-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-ck2
	* info/patches/ck_patches/patch-2.6.19-ck2: added

2006-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-cks1
	* info/patches/ck_server_patches/patch-2.6.19-cks1: added

2006-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-ck1
	* info/patches/ck_patches/patch-2.6.19-ck1: added

2006-12-14 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.35: added
	* info/patches/maintenance_patches/patch-2.6.16.36: added

2006-12-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.20-rc1
	* info/patches/PRE_2_6/patch-2.6.20-rc1: added
	* info/patches/PRE_2_6/patch-2.6.20-rc1: fixed base kernel version

2006-12-13 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.19.1
	* info/patches/maintenance_patches/patch-2.6.19.1: added

2006-12-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-mm1
	* info/patches/mm_patches/2.6.19-mm1: added

2006-12-05 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/acpi_dsdt_initrd_patches/acpi-dsdt-initrd-v0.8.2-2.6.18.patch:
	  added 2.6.19 in applied_kernels list

2006-12-01 David Brown <dmlb2000@gmail.com>
	* info/patches/xen_patches/xen-3.0.3_0-2.6.16.29.patch: added
	* SUB_DEPENDS: we want the question asked every time so remove the var
	* INSTALL: fall back to vmlinux if for some reason the bzImage isn't
	  available

2006-11-29 David Brown <dmlb2000@gmail.com>
	* info/kernels/2.6.19: added
	* info/patches/maintenance_patches/patch-2.6.19: added
	* info/patches/PRE_2_6/patch-2.6.19: added
	* latest.defaults: updated to 2.6.19

2006-11-29 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.3[234]: fixed version

2006-11-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc6-mm2
	* info/patches/mm_patches/2.6.19-rc6-mm2: added

2006-11-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc6-mm1
	* info/patches/mm_patches/2.6.19-rc6-mm1: added

2006-11-29 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.32: added
	* info/patches/maintenance_patches/patch-2.6.16.33: added
	* info/patches/maintenance_patches/patch-2.6.16.34: added

2006-11-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18.4
	* info/patches/maintenance_patches/patch-2.6.18.4: added

2006-11-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18.3
	* info/patches/maintenance_patches/patch-2.6.18.3: added

2006-11-18 David Brown <dmlb2000@gmail.com>
	* info/patches/PRE_2_6/patch-2.6.19-rc6: fixed typo so it would update

2006-11-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rc6
	* info/patches/PRE_2_6/patch-2.6.19-rc6: added

2006-11-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc5-mm2
	* info/patches/mm_patches/2.6.19-rc5-mm2: added

2006-11-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc5-mm1
	* info/patches/mm_patches/2.6.19-rc5-mm1: added

2006-11-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rc5
	* info/patches/PRE_2_6/patch-2.6.19-rc5: added

2006-11-07 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.31: added

2006-11-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18.2
	* info/patches/maintenance_patches/patch-2.6.18.2: added
	* info/patches/maintenance_patches/patch-2.6.16.30: added

2006-11-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc4-mm2
	* info/patches/mm_patches/2.6.19-rc4-mm2: added

2006-10-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc4-mm1
	* info/patches/mm_patches/2.6.19-rc4-mm1: added

2006-10-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rc4
	* info/patches/PRE_2_6/patch-2.6.19-rc4: added

2006-10-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc3-mm1
	* info/patches/mm_patches/2.6.19-rc3-mm1: added

2006-10-24 David Brown <dmlb2000@gmail.com>
	* DETAILS: removed staged install flag

2006-10-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rc3
	* info/patches/PRE_2_6/patch-2.6.19-rc3: added

2006-10-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc2-mm2
	* info/patches/mm_patches/2.6.19-rc2-mm2: added

2006-10-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc2-mm1
	* info/patches/mm_patches/2.6.19-rc2-mm1: added

2006-10-14 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.17.14: added

2006-10-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18.1
	* info/patches/maintenance_patches/patch-2.6.18.1: added

2006-10-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rc2
	* info/patches/PRE_2_6/patch-2.6.19-rc2: added
	* info/patches/reiser4_patches/reiser4-for-2.6.17-3.patch: added

2006-10-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.19-rc1-mm1
	* info/patches/mm_patches/2.6.19-rc1-mm1: added

2006-10-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: reverted maintenance patches to be 2.6.18
	* info/updatepatch: fixed so the above won't happen again

2006-10-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.19-rc1
	* info/patches/PRE_2_6/patch-2.6.19-rc1: added

2006-10-03 David Brown <dmlb2000@gmail.com>
	* info/patches/smgl_patches/smgl-logo-for-2.6.15.patch: updated to work
	  for 2.6.18

2006-10-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rt5
	* info/patches/realtime_patches/patch-2.6.18-rt5: added

2006-10-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-mm3
	* info/patches/mm_patches/2.6.18-mm3: added

2006-09-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-mm2
	* info/patches/mm_patches/2.6.18-mm2: added

2006-09-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-mm1
	* info/patches/mm_patches/2.6.18-mm1: added

2006-09-22 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.8-for-2.6.18.patch: added

2006-09-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-cks1
	* info/patches/ck_server_patches/patch-2.6.18-cks1: added

2006-09-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-ck1
	* info/patches/ck_patches/patch-2.6.18-ck1: added

2006-09-21 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/acpi_dsdt_initrd_patches/acpi-dsdt-initrd-v0.8.2-2.6.18.patch:
	  added for 2.6.18 kernel

2006-09-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rt2
	* info/patches/realtime_patches/patch-2.6.18-rt2: added

2006-09-20 David Brown <dmlb2000@gmail.com>
	* info/kernels/2.6.18: added
	* info/patches/maintenance_patches/patch-2.6.18: added
	* info/patches/PRE_2_6/patch-2.6.18: added

2006-09-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc7-mm1
	* info/patches/mm_patches/2.6.18-rc7-mm1: added
	* DETAILS: removed build api 2 line

2006-09-19 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.7.6-for-2.6.17.patch: added
	* info/patches/sws2_patches/suspend2-2.2.7.6-for-2.6.18-rc7.patch: added

2006-09-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc7
	* info/patches/PRE_2_6/patch-2.6.18-rc7: added

2006-09-13 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.29: added

2006-09-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc6-mm2
	* info/patches/mm_patches/2.6.18-rc6-mm2: added

2006-09-12 Ladislav Hagara <hgr@vabo.cz>
	* info/patches/squashfs_patches/squashfs3.1-patch: added

2006-09-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.13
	* info/patches/maintenance_patches/patch-2.6.17.13: added

2006-09-08 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: updated LATEST_maintenance_patches to 2.6.17.12
	* info/patches/maintenance_patches/patch-2.6.17.12: Added for 2.6.17.12

2006-09-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc6-mm1
	* info/patches/mm_patches/2.6.18-rc6-mm1: added

2006-09-08 David Brown <dmlb2000@gmail.com>
	* PREPARE: ripped out some of the functions and put them into liblinux
	* liblinux: functions that are used in other spell files (SUB_DEPENDS)
	* PRE_SUB_DEPENDS: added for sub depends support
	* SUB_DEPENDS: added for sub depends support

2006-09-07 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.28: added

2006-09-05 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/acpi_dsdt_initrd_patches/acpi-dsdt-initrd-v0.8.1-2.6.15.patch:
	  added for 2.6.1{5,4} kernels

2006-09-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc6
	* info/patches/PRE_2_6/patch-2.6.18-rc6: added

2006-09-03 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.7-for-2.6.17.patch: added
	* info/patches/sws2_patches/suspend2-2.2.7.3-for-2.6.17.patch: added

2006-09-03 Pol Vinogradov <vin.public@gmail.com>
	* info/patches/acpi_dsdt_initrd_patches: added, allows loading custom DSDT
	  from initrd image, made available for 2.6.16 too

2006-09-02 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: added unset LC_ALL because of some keymap issues see bug
	  #12164

2006-09-02 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: some spell linting and added sanity check so bug #8192
	  should never happen again

2006-09-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc5-mm1
	* info/patches/mm_patches/2.6.18-rc5-mm1: added

2006-09-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc4-mm3
	* info/patches/mm_patches/2.6.18-rc4-mm3: added

2006-08-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc5
	* info/patches/PRE_2_6/patch-2.6.18-rc5: added

2006-08-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.11
	* info/patches/maintenance_patches/patch-2.6.17.11: added

2006-08-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.10
	* info/patches/maintenance_patches/patch-2.6.17.10: added

2006-08-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc4-mm2
	* info/patches/mm_patches/2.6.18-rc4-mm2: added

2006-08-18 David Brown <dmlb2000@gmail.com>
	* PREPARE: make it rm -f the depends makefile so that it doesn't spit
	  out an error if it's not there (bug #9733)
	* BUILD: added building of ifenslave
	* INSTALL: added installing of ifenslave (bug #10685)

2006-08-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.9
	* info/patches/maintenance_patches/patch-2.6.17.9: added

2006-08-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc4-mm1
	* info/patches/mm_patches/2.6.18-rc4-mm1: added

2006-08-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.8
	* info/patches/maintenance_patches/patch-2.6.17.8: added

2006-08-06 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: fixed message to output KMODE in case it isn't set properly

2006-08-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc4
	* info/patches/PRE_2_6/patch-2.6.18-rc4: added

2006-08-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc3-mm2
	* info/patches/mm_patches/2.6.18-rc3-mm2: added

2006-08-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc3-mm1
	* info/patches/mm_patches/2.6.18-rc3-mm1: added

2006-07-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc3
	* info/patches/PRE_2_6/patch-2.6.18-rc3: added

2006-07-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc2-mm1
	* info/patches/mm_patches/2.6.18-rc2-mm1: added

2006-07-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.7
	* info/patches/maintenance_patches/patch-2.6.17.7: added

2006-07-17 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.16.26: added
	* info/patches/maintenance_patches/patch-2.6.16.27: added

2006-07-16 David Brown <dmlb2000@gmail.com>
	* info/patches/realtime_patches/patch-2.6.17-rt7: updated
	  to include gpg check

2006-07-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rt7
	* info/patches/realtime_patches/patch-2.6.17-rt7: added

2006-07-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc2
	* info/patches/PRE_2_6/patch-2.6.18-rc2: added

2006-07-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.6
	* info/patches/maintenance_patches/patch-2.6.17.6: added

2006-07-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.5
	* info/patches/maintenance_patches/patch-2.6.17.5: added
	* info/patches/maintenance_patches/patch-2.6.16.24: added
	* info/patches/maintenance_patches/patch-2.6.16.25: added

2006-07-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc1-mm2
	* info/patches/mm_patches/2.6.18-rc1-mm2: added
	* FINAL: changed out [] for [[]] on the check for update bootloader

2006-07-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.18-rc1-mm1
	* info/patches/mm_patches/2.6.18-rc1-mm1: added

2006-07-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.4
	* info/patches/maintenance_patches/patch-2.6.17.4: added

2006-07-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-mm6
	* info/patches/mm_patches/2.6.17-mm6: added

2006-07-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-mm5
	* info/patches/mm_patches/2.6.17-mm5: added

2006-07-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.18-rc1
	* info/patches/PRE_2_6/patch-2.6.18-rc1: added

2006-07-01 David Brown <dmlb2000@gmail.com>
	* info/patches/realtime_patches/.info: added

2006-07-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-mm5
	* info/patches/mm_patches/2.6.17-mm5: added

2006-06-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.3
	* info/patches/maintenance_patches/patch-2.6.17.3: added
	* info/patches/maintenance_patches/patch-2.6.16.23: added

2006-06-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17.2
	* info/patches/maintenance_patches/patch-2.6.17.2: added
	* info/patches/smgl_patches/smgl-logo-for-2.6.15.patch: updated to work
	  with 2.6.17

2006-06-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rt4
	* info/patches/realtime_patches/patch-2.6.17-rt4: added

2006-06-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-mm4
	* info/patches/mm_patches/2.6.17-mm4: added

2006-06-28 David Brown <dmlb2000@gmail.com>
	* PREPARE: added patch conflicts

2006-06-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-mm3
	* info/patches/mm_patches/2.6.17-mm3: added

2006-06-26 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/sws2_patches/suspend2-2.2.6-for-2.6.17.patch: Added
	  suspend2 2.2.6 patch for kernel 2.6.17

2006-06-25 David Brown <dmlb2000@gmail.com>
	* INSTALL: forgot one var change
	* BUILD: forgot one var change...

2006-06-25 David Brown <dmlb2000@gmail.com>
	* BUILD: updated for changes to PREPARE
	* INSTALL: updated for changes to PREPARE
	* PRE_BUILD: updated for changes to PREPARE

2006-06-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-mm2
	* info/patches/mm_patches/2.6.17-mm2: added
	* info/patches/mm_patches/2.6.17-mm1: added
	* info/patches/mm_patches/2.6.17-rc6-mm2: added
	* info/patches/mm_patches/2.6.17-rc6-mm1: added
	* info/patches/maintenance_patches/patch-2.6.16.21: added
	* info/patches/maintenance_patches/patch-2.6.16.22: added

2006-06-25 David Brown <dmlb2000@gmail.com>
	* PREPARE: make global and persistent vars all uppercase, put
	  function before all functions, add function to convert the
		old persistent vars to the new set of persistent vars,
		change names of global and persistent vars to be a bit more
		descriptive of what they represent, added checklist to patch
		submenus so its a bit more apparent what patches are
		selected
	* DETAILS: fixed sourcing of details.defaults since the name
	  changed.

2006-06-21 Juuso Alasuutari <iuso@sourcemage.org>
	* latest.defaults: updated latest to patch-2.6.17-ck1,
	  patch-2.6.17-cks1
	* info/patches/ck_patches/patch-2.6.17-ck1: added
	* info/patches/ck_server_patches/patch-2.6.17-cks1: added

2006-06-20 David Brown <dmlb2000@gmail.com>
	* DETAILS: fixed some spacing issues and added
	  STAGED_INSTALL=off for stage root sorcery

2006-06-20 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: updated latest to patch-2.6.17.1
	* info/patches/maintenance_patches/patch-2.6.17.1: added

2006-06-20 Ladislav Hagara <hgr@vabo.cz>
	* info/patches/PRE_2_6/patch-2.6.17: added
	* info/patches/maintenance_patches/patch-2.6.17: added
	* info/kernels/2.6.17: added
	* latest.defaults: updated to 2.6.17

2006-06-06 Juuso Alasuutari <iuso@sourcemage.org>
	* latest.defaults: updated latest to patch-2.6.16-ck12,
	  patch-2.6.16-cks12
	* info/patches/ck_patches/patch-2.6.16-ck12: added
	* info/patches/ck_server_patches/patch-2.6.16-cks12: added

2006-06-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rc6
	* info/patches/PRE_2_6/patch-2.6.17-rc6: added

2006-06-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.20
	* info/patches/maintenance_patches/patch-2.6.16.20: added

2006-06-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc5-mm3
	* info/patches/mm_patches/2.6.17-rc5-mm3: added

2006-06-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc5-mm2
	* info/patches/mm_patches/2.6.17-rc5-mm2: added

2006-05-30 David Brown <dmlb2000@gmail.com>
	* info/patches/tarpit_patches/tarpit-for-2.6.16.patch: added

2006-05-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.19
	* info/patches/maintenance_patches/patch-2.6.16.19: added

2006-05-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc5-mm1
	* info/patches/mm_patches/2.6.17-rc5-mm1: added

2006-05-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.18
	* info/patches/maintenance_patches/patch-2.6.16.18: added

2006-05-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rc5
	* info/patches/PRE_2_6/patch-2.6.17-rc5: added

2006-05-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc4-mm3
	* info/patches/mm_patches/2.6.17-rc4-mm3: added

2006-05-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck11
	* info/patches/ck_patches/patch-2.6.16-ck11: added

2006-05-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks11
	* info/patches/ck_server_patches/patch-2.6.16-cks11: added

2006-05-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.17
	* info/patches/maintenance_patches/patch-2.6.16.17: added

2006-05-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc4-mm2
	* info/patches/mm_patches/2.6.17-rc4-mm2: added

2006-05-19 David Brown <dmlb2000@gmail.com>
        * info/patches/gensplash_patches/fbsplash-0.9.2-r5-2.6.16.patch: added

2006-05-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rt23
	* info/patches/realtime_patches/patch-2.6.16-rt23: added

2006-05-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc4-mm1
	* info/patches/mm_patches/2.6.17-rc4-mm1: added

2006-05-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rc4
	* info/patches/PRE_2_6/patch-2.6.17-rc4: added

2006-05-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.16
	* info/patches/maintenance_patches/patch-2.6.16.16: added

2006-05-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.15
	* info/patches/maintenance_patches/patch-2.6.16.15: added

2006-05-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rt20
	* info/patches/realtime_patches/patch-2.6.16-rt20: added

2006-05-08 David Brown <dmlb2000@gmail.com>
	* info/patches/reiser4_patches/reiser4-for-2.6.16-2.patch: added

2006-05-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks10
	* info/patches/ck_server_patches/patch-2.6.16-cks10: added

2006-05-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck10
	* info/patches/ck_patches/patch-2.6.16-ck10: added

2006-05-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.14
	* info/patches/maintenance_patches/patch-2.6.16.14: added

2006-05-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.13
	* info/patches/maintenance_patches/patch-2.6.16.13: added

2006-05-02 David Brown <dmlb2000@gmail.com>
        * info/patches/sws2_patches/suspend2-2.2.5-for-2.6.16.9.patch: added

2006-05-02 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks9
	* info/patches/ck_server_patches/patch-2.6.16-cks9: added

2006-05-02 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck9
	* info/patches/ck_patches/patch-2.6.16-ck9: added

2006-05-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rt18
	* info/patches/realtime_patches/patch-2.6.16-rt18: added

2006-05-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.12
	* info/patches/maintenance_patches/patch-2.6.16.12: added

2006-05-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc3-mm1
	* info/patches/mm_patches/2.6.17-rc3-mm1: added

2006-04-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks8
	* info/patches/ck_server_patches/patch-2.6.16-cks8: added

2006-04-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck8
	* info/patches/ck_patches/patch-2.6.16-ck8: added

2006-04-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks7
	* info/patches/ck_server_patches/patch-2.6.16-cks7: added

2006-04-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck7
	* info/patches/ck_patches/patch-2.6.16-ck7: added

2006-04-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc2-mm1
	* info/patches/mm_patches/2.6.17-rc2-mm1: added

2006-04-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rc3
	* info/patches/PRE_2_6/patch-2.6.17-rc3: added

2006-04-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.11
	* info/patches/maintenance_patches/patch-2.6.16.11: added

2006-04-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.10
	* info/patches/maintenance_patches/patch-2.6.16.10: added

2006-04-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rt17
	* info/patches/realtime_patches/patch-2.6.16-rt17: added

2006-04-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks6
	* info/patches/ck_server_patches/patch-2.6.16-cks6: added

2006-04-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck6
	* info/patches/ck_patches/patch-2.6.16-ck6: added

2006-04-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.9
	* info/patches/maintenance_patches/patch-2.6.16.9: added

2006-04-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rc2
	* info/patches/PRE_2_6/patch-2.6.17-rc2: added

2006-04-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.8
	* info/patches/maintenance_patches/patch-2.6.16.8: added

2006-04-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc1-mm3
	* info/patches/mm_patches/2.6.17-rc1-mm3: added

2006-04-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.7
	* info/patches/maintenance_patches/patch-2.6.16.7: added

2006-04-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.6
	* info/patches/maintenance_patches/patch-2.6.16.6: added

2006-04-14 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: removed references to ARCH=kernel_arch see
	  http://wiki.kernelnewbies.org/LinuxChanges for 2.6.16 as to why
	  specifically the PPC section
	  also change on 4-10 wasn't done right, expert mode should return an
	  error if the directory doesn't exist but if mode doesn't exist it
	  should go to newktree
	* BUILD: same as PRE_BUILD as to kernel arch
	* INSTALL: same as BUILD

2006-04-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks5
	* info/patches/ck_server_patches/patch-2.6.16-cks5: added

2006-04-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck5
	* info/patches/ck_patches/patch-2.6.16-ck5: added

2006-04-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.5
	* info/patches/maintenance_patches/patch-2.6.16.5: added

2006-04-12 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.4-for-2.6.16.patch: added

2006-04-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.4
	* info/patches/maintenance_patches/patch-2.6.16.4: added

2006-04-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.3
	* info/patches/maintenance_patches/patch-2.6.16.3: added

2006-04-10 David Brown <dmlb2000@gmail.com>
	* configs: added

2006-04-10 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: make the mode newktree if it's something not defined

2006-04-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rt14
	* info/patches/realtime_patches/patch-2.6.16-rt14: added

2006-04-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: remove 2.2 and 2.0 kernels

2006-04-08 David Brown <dmlb2000@gmail.com>
	* info/patches/ck_server_patches/patch-2.6.16-cks4: fixed source url and
	  public gpg key
	* info/patches/ck_patches/patch-2.6.16-ck4: fixed source url and public
	  gpg key

2006-04-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks4
	* info/patches/ck_server_patches/patch-2.6.16-cks4: added

2006-04-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck4
	* info/patches/ck_patches/patch-2.6.16-ck4: added

2006-04-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc1-mm2
	* info/patches/mm_patches/2.6.17-rc1-mm2: added

2006-04-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.2
	* info/patches/maintenance_patches/patch-2.6.16.2: added

2006-04-05 David Brown <dmlb2000@gmail.com>
	* info/patches/reiser4_patches/reiser4-for-2.6.16-1.patch: added

2006-04-04 Ladislav Hagara <hgr@vabo.cz>
	* info/patches/squashfs_patches/squashfs3.0-patch: added

2006-04-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.17-rc1-mm1
	* info/patches/mm_patches/2.6.17-rc1-mm1: added

2006-04-04 David Brown <dmlb2000@gmail.com>
	* ck and ck server signature now have sign instead of sig and sig isn't
	  available for download anymore

2006-04-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck3
	* info/patches/ck_patches/patch-2.6.16-ck3: added

2006-04-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks3
	* info/patches/ck_server_patches/patch-2.6.16-cks3: added

2006-04-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks2
	* info/patches/ck_server_patches/patch-2.6.16-cks2: added

2006-04-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck2
	* info/patches/ck_patches/patch-2.6.16-ck2: added

2006-04-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.17-rc1
	* info/patches/PRE_2_6/patch-2.6.17-rc1: added

2006-03-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16.1
	* info/patches/maintenance_patches/patch-2.6.16.1: added

2006-03-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-mm2
	* info/patches/mm_patches/2.6.16-mm2: added
	* info/patches/maintenance_patches/patch-2.6.15.7: added

2006-03-28 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.2-for-2.6.16.patch: added

2006-03-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rt10
	* info/patches/realtime_patches/patch-2.6.16-rt10: added

2006-03-23 David Brown <dmlb2000@gmail.com>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.15.patch: added
	  compatibility with 2.6.16

2006-03-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-mm1
	* info/patches/mm_patches/2.6.16-mm1: added

2006-03-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc6-mm2
	* info/patches/mm_patches/2.6.16-rc6-mm2: added

2006-03-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks1
	* info/patches/ck_server_patches/patch-2.6.16-cks1: added

2006-03-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck1
	* info/patches/ck_patches/patch-2.6.16-ck1: added

2006-03-20 David Brown <dmlb2000@gmail.com>
	* info/patches/PRE_2_6/patch-2.6.16: added
	* info/patches/maintenance_patches/patch-2.6.16: added
	* info/kernels/2.6.16: added
	* latest.defaults: updated to 2.6.16

2006-03-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc6-rt7
	* info/patches/realtime_patches/patch-2.6.16-rc6-rt7: added

2006-03-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc6-rt6
	* info/patches/realtime_patches/patch-2.6.16-rc6-rt6: added
	* info/patches/realtime_patches/patch-2.6.16-rc6-rt4: fixed version

2006-03-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc6-rt3
	* info/patches/realtime_patches/patch-2.6.16-rc6-rt3: added

2006-03-12 David Brown <dmlb2000@gmail.com>
	* info/patches/realtime_patches/patch-2.6.16-rc6-rt1: fixed source and
	  patchversion (didn't do a good enough job checking)

2006-03-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc6-rt1
	* info/patches/realtime_patches/patch-2.6.16-rc6-rt1: added

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-03-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc6-mm1
	* info/patches/mm_patches/2.6.16-rc6-mm1: added

2006-03-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc6
	* info/patches/PRE_2_6/patch-2.6.16-rc6: added

2006-03-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: added realtime patches
	* info/patches/realtime_patches/patch-2.6.15-rt21: added

2006-03-10 David Brown <dmlb2000@gmail.com>
	* DOH!!!
	* info/patches/ck_patches/patch-2.6.16-ck7: moved to patch-2.6.15-ck7
	* info/patches/ck_server_patches/patch-2.6.16-cks7: moved to patch-2.6.15-cks7
	* latest.defaults: fixed latest ck and ck_server patches to match change

2006-03-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-cks7
	* info/patches/ck_server_patches/patch-2.6.16-cks7: added

2006-03-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-ck7
	* info/patches/ck_patches/patch-2.6.16-ck7: added

2006-03-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-cks6
	* info/patches/ck_server_patches/patch-2.6.15-cks6: added

2006-03-09 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-ck6
	* info/patches/ck_patches/patch-2.6.15-ck6: added

2006-03-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc5-mm3
	* info/patches/mm_patches/2.6.16-rc5-mm3: added

2006-03-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15.6
	* info/patches/maintenance_patches/patch-2.6.15.6: added

2006-03-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc5-mm2
	* info/patches/mm_patches/2.6.16-rc5-mm2: added

2006-03-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-cks5
	* info/patches/ck_server_patches/patch-2.6.15-cks5: added
	* installkernel: fixed so it doesn't need to source /etc/sorcery/config

2006-03-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-ck5
	* info/patches/ck_patches/patch-2.6.15-ck5: added

2006-03-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15.5
	* info/patches/maintenance_patches/patch-2.6.15.5: added

2006-03-01 David Brown <dmlb2000@gmail.com>
	* installkernel: install executable added

2006-02-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc5-mm1
	* info/patches/mm_patches/2.6.16-rc5-mm1: added

2006-02-26 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc5
	* info/patches/PRE_2_6/patch-2.6.16-rc5: added

2006-02-26 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2.0.1-for-2.6.16-rc4.patch: added

2006-02-26 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2-for-2.6.15.1.patch: modified
	  to fix source url because depends is no longer a var for the patch
	* info/patches/sws2_patches/suspend2-2.2.0.1-for-2.6.16-rc3.patch: added

2006-02-24 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2-for-2.6.15.1.patch: modified
	  to remove depends on patch-2.6.15.1 cause it does work on others

2006-02-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc4-mm2
	* info/patches/mm_patches/2.6.16-rc4-mm2: added

2006-02-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc4-mm1
	* info/patches/mm_patches/2.6.16-rc4-mm1: added

2006-02-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc4
	* info/patches/PRE_2_6/patch-2.6.16-rc4: added

2006-02-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc3-mm1
	* info/patches/mm_patches/2.6.16-rc3-mm1: added

2006-02-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc3
	* info/patches/PRE_2_6/patch-2.6.16-rc3: added

2006-02-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-cks4
	* info/patches/ck_server_patches/patch-2.6.15-cks4: added

2006-02-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-ck4
	* info/patches/ck_patches/patch-2.6.15-ck4: added

2006-02-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15.4
	* info/patches/maintenance_patches/patch-2.6.15.4: added

2006-02-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc2-mm1
	* info/patches/mm_patches/2.6.16-rc2-mm1: added

2006-02-06 David Brown <dmlb2000@gmail.com>
	* info/patches/ck_patches/patch-2.6.14-ck9: added
	* info/patches/ck_server_patches/patch-2.6.14-cks9: added

2006-02-06 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.14.7: added

2006-02-06 David Brown <dmlb2000@gmail.com>
	* info/patches/smgl_patches/smgl-logo-0.2-for-2.6.15.patch: added

2006-02-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15.3
	* info/patches/maintenance_patches/patch-2.6.15.3: added

2006-02-06 Eric Sandall <sandalle@sourcemage.org>
	* menu.lst.tmplt: Remove explicitly setting runlevel

2006-02-06 David Brown <dmlb2000@gmail.com>
	* info/patches/reiser4_patches/reiser4-for-2.6.15-1.patch: added

2006-02-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc2
	* info/patches/PRE_2_6/patch-2.6.16-rc2: added

2006-02-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc1-mm5
	* info/patches/mm_patches/2.6.16-rc1-mm5: added

2006-02-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to grsecurity-2.1.8-2.4.32-200601211647.patch
	* info/patches/grsecurity_2_4/grsecurity-2.1.8-2.4.32-200601211647.patch: added

2006-02-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to grsecurity-2.1.8-2.6.14.6-200601211647.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.8-2.6.14.6-200601211647.patch: added

2006-01-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-cks3
	* info/patches/ck_server_patches/patch-2.6.15-cks3: added

2006-01-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-ck3
	* info/patches/ck_patches/patch-2.6.15-ck3: added

2006-01-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15.2
	* info/patches/maintenance_patches/patch-2.6.15.2: added

2006-01-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc1-mm4
	* info/patches/mm_patches/2.6.16-rc1-mm4: added

2006-01-29 David Brown <dmlb2000@gmail.com>
	* info/patches/squashfs_patches/squashfs2.2-patch: fixed source url
	  and added gpg signature from the mirror

2006-01-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc1-mm3
	* info/patches/mm_patches/2.6.16-rc1-mm3: added

2006-01-23 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2-for-2.6.15.1.patch: added

2006-01-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc1-mm2
	* info/patches/mm_patches/2.6.16-rc1-mm2: added

2006-01-18 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/suspend2-2.2-rc16-for-2.6.15.1.patch: added

2006-01-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.16-rc1-mm1
	* info/patches/mm_patches/2.6.16-rc1-mm1: added

2006-01-17 David Brown <dmlb2000@gmail.com>
	* info/patches/squashfs_patches/squashfs2.2-patch: added 2.6.15

2006-01-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.16-rc1
	* info/patches/PRE_2_6/patch-2.6.16-rc1: added

2006-01-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-mm4
	* info/patches/mm_patches/2.6.15-mm4: added

2006-01-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-cks2
	* info/patches/ck_server_patches/patch-2.6.15-cks2: added

2006-01-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-ck2
	* info/patches/ck_patches/patch-2.6.15-ck2: added

2006-01-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15.1
	* info/patches/maintenance_patches/patch-2.6.15.1: added

2006-01-13 David Brown <dmlb2000@gmail.com>
	* PREPARE: fixed problem when loading an expert built oldktree the mode
	  should not be changed to oldktree when using the expert trees

2006-01-11 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/gensplash_patches/fbsplash-0.9.2-r5-2.6.15-rc1.patch: Added
	* info/patches/sws2_patches/suspend2-2.2-rc16-for-2.6.15.patch: Added
	  Store GPG .sigs for patches we make/obtain on download.sourcemage.org, not
	  in Perforce

2006-01-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-mm3
	* info/patches/mm_patches/2.6.15-mm3: added
	* info/patches/mm_patches/2.6.15-mm2: added
	* info/patches/mm_patches/2.6.15-mm1: added
	* info/patches/maintenance_patches/patch-2.6.15: added the patchversion
	  variable back so the VERSION comes out correctly
	* info/patches/PRE_2_6/patch-2.6.15: added the patchversion variable
	  back so the VERSION comes out correctly
	* info/patches/mm_patches/2.6.15-mm1-smgl1: changes so it wouldn't show
	  up in menu fixed why the original 2.6.15-mm1 wouldn't patch
	* info/patches/mm_patches/2.6.15-mm2-smgl1: changes so it wouldn't show
	  up in menu fixed why the original 2.6.15-mm2 wouldn't patch
	* PRE_BUILD: move hidden files back to the source directory as well

2006-01-07 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.14.6: added

2006-01-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-mm2-smgl1
	* info/patches/mm_patches/2.6.15-mm2-smgl1: added
	* info/patches-sigs/mm_patches/2.6.15-mm2-smgl1.bz2.sig: added

2006-01-06 David Brown <dmlb2000@gmail.com>
	* PREPARE: if no patches are selected then KERNEL_VERSION
	  doesn't appear in details.defaults so it defaults to
	  the latest maintenance which isn't what the user selected

2006-01-05 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: fixed infinate loop when patch fails
	* info/patches-sigs/mm_patches/2.6.15-mm1-smgl1.bz2.sig: added
	* info/patches/mm_patches/2.6.15-mm1: removed cause it doesn't work
	* info/patches/mm_patches/2.6.15-mm1-smgl1: added as a replacement
	* latest.defaults: changed 2.6.15-mm1 to 2.6.15-mm1-smgl1


2006-01-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-mm1
	* info/patches/mm_patches/2.6.15-mm1: added

2006-01-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-cks1
	* info/patches/ck_server_patches/patch-2.6.15-cks1: added

2006-01-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-ck1
	* info/patches/ck_patches/patch-2.6.15-ck1: added

2006-01-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest maintenance and PRE_2_6 patches to
	  patch-2.6.15
	* info/patches/maintenance_patches/patch-2.6.15: added
	* info/kernels/2.6.15: added
	* info/patches/PRE_2_6/patch-2.6.15: added

2006-01-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-cks8
	* info/patches/ck_server_patches/patch-2.6.14-cks8: added

2006-01-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck8
	* info/patches/ck_patches/patch-2.6.14-ck8: added

2005-12-31 David Brown <dmlb2000@gmail.com>
	* info/patches-sigs/sws2_patches/suspend2-2.2-rc15-for-2.6.14.patch.bz2.sig: added
	* info/patches-sigs/sws2_patches/suspend2-2.2-rc15-for-2.6.15-rc7.patch.bz2.sig: added
	* info/patches/sws2_patches/suspend2-2.2-rc15-for-2.6.14.patch: added
	* info/patches/sws2_patches/suspend2-2.2-rc15-for-2.6.15-rc7.patch: added

2005-12-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.4.33-pre1
	* info/patches/PRE_2_4/patch-2.4.33-pre1: added
	* PREPARE: added more local declairations

2005-12-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14.5
	* info/patches/maintenance_patches/patch-2.6.14.5: added

2005-12-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc7
	* info/patches/PRE_2_6/patch-2.6.15-rc7: added

2005-12-20 David Brown <dmlb2000@gmail.com>
	* PREPARE: removed the output of the kernel tree update for old_src_tree
	  and added a yesno dialog that asks if the user would like the tree to
	  be updated

2005-12-18 David Brown <dmlb2000@gmail.com>
	* DETAILS: removed PATCHVER switched to just using KERNEL_VERSION in the
	  details.defaults file for handling the version of the spell
	* PREPARE: added documentation for variables and the appendversion var
	  for patch files so that the skas patches can work
	* info/patches/skas_patches/skas-2.6.14-v8.2.patch: added appendversion
	  and source_gpg information
	* info/patches-sigs/skas_patches/skas_2.6.14-v8.2.patch.bz2.sig: added

2005-12-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc6
	* info/patches/PRE_2_6/patch-2.6.15-rc6: added

2005-12-15 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc5-mm3
	* info/patches/mm_patches/2.6.15-rc5-mm3: added

2005-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-cks7
	* info/patches/ck_server_patches/patch-2.6.14-cks7: added

2005-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck7
	* info/patches/ck_patches/patch-2.6.14-ck7: added

2005-12-14 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14.4
	* info/patches/maintenance_patches/patch-2.6.14.4: added

2005-12-11 David Brown <dmlb2000@gmail.com>
	* info/patches-sigs/sws2_patches/software-suspend-2.2-rc14-for-2.6.15-rc5.patch.bz2.sig: added
	* info/patches/sws2_patches/software-suspend-2.2-rc14-for-2.6.15-rc5.patch: added

2005-12-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc5-mm2
	* info/patches/mm_patches/2.6.15-rc5-mm2: added

2005-12-05 David Brown <dmlb2000@gmail.com>
	* info/patches-sigs/sws2_patches/software-suspend-2.2-rc14-for-2.6.14.patch.bz2.sig: added
	* info/patches/sws2_patches/software-suspend-2.2-rc14-for-2.6.14.patch: added

2005-12-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc5-mm1
	* info/patches/mm_patches/2.6.15-rc5-mm1: added

2005-12-04 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc5
	* info/patches/PRE_2_6/patch-2.6.15-rc5: added

2005-11-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc4
	* info/patches/PRE_2_6/patch-2.6.15-rc4: added

2005-11-30 David Brown <dmlb2000@gmail.com>
	* info/patches/tarpit_patches/tarpit-for-2.6.14-1.patch: added
	* info/patches-sigs/tarpit_patches/tarpit-for-2.6.14-1.patch.bz2: added

2005-11-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc3-mm1
	* info/patches/mm_patches/2.6.15-rc3-mm1: added

2005-11-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc3
	* info/patches/PRE_2_6/patch-2.6.15-rc3: added

2005-11-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to grsecurity-2.1.7-2.4.32-200511131857.patch
	* info/patches/grsecurity_2_4/grsecurity-2.1.7-2.4.32-200511131857.patch: added

2005-11-28 David Brown <dmlb2000@gmail.com>
	* info/kernels/2.6.32: added
	* latest.defaults: updated 2.4 kernel

2005-11-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to grsecurity-2.1.7-2.6.14.3-200511261227.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.7-2.6.14.3-200511261227.patch: added

2005-11-26 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: make sure the source directory doesn't have group and other
	  write permissions (chmod og-w -R $LINUX_SOURCE_DIRECTORY)

2005-11-25 David Brown <dmlb2000@gmail.com>
	* FINAL: removed the notice about the linux kernel name change
	* PREPARE: did some 'refactoring' of the source_patch and source_info
	  functions
	  added some info if the old source tree is going to update
	  removed the source info from the expert mode so it won't download
	  anything
	  added the xen and um arches to the arch menu
	  removed old commented code from the creation of expert mode
	* PRE_BUILD: fixed the propogation of the error when gpg checking fails
	  and made sure it returns an error when unpacking fails

2005-11-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-cks6
	* info/patches/ck_server_patches/patch-2.6.14-cks6: added

2005-11-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck6
	* info/patches/ck_patches/patch-2.6.14-ck6: added

2005-11-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc2-mm1
	* info/patches/mm_patches/2.6.15-rc2-mm1: added

2005-11-25 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14.3
	* info/patches/maintenance_patches/patch-2.6.14.3: added

2005-11-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to grsecurity-2.1.7-2.6.14.2-200511150641.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.7-2.6.14.2-200511150641.patch: added

2005-11-20 David Brown <dmlb2000@gmail.com>
	* info/patches/reiser4_patches/reiser4-for-2.6.14-1.patch: added
	* info/patches-sigs/reiser4_patches/reiser4-for-2.6.14-1.patch.gz.sig: added

2005-11-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc2
	* info/patches/PRE_2_6/patch-2.6.15-rc2: added

2005-11-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc1-mm2
	* info/patches/mm_patches/2.6.15-rc1-mm2: added

2005-11-17 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.15-rc1-mm1
	* info/patches/mm_patches/2.6.15-rc1-mm1: added

2005-11-12 David Brown <dmlb2000@gmail.com>
	* info/patches/tarpit_patches/tarpit.patch: fixed source url to point
	  to ibiblio's site
	* info/patches/tarpit_patches/tarpit-for-2.6.14.patch: fixed source url
	  to point to ibiblio's site

2005-11-12 David Brown <dmlb2000@gmail.com>
	* info/squashfs_patches/squashfs2.2-patch: added 2.6.14 to applied
	  kernels

2005-11-12 David Brown <dmlb2000@gmail.com>
	* info/patches/ck_server_patches/patch-2.6.14-ck[2345]-server: removed
	* info/patches/ck_server_patches/patch-2.6.14-cks[2345]: added
	* latest.defaults: updated ck server patches
	* yeah Con changed things a little

2005-11-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.15-rc1
	* info/patches/PRE_2_6/patch-2.6.15-rc1: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck5
	* info/patches/ck_patches/patch-2.6.14-ck5: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck5-server
	* info/patches/ck_server_patches/patch-2.6.14-ck5-server: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck4-server
	* info/patches/ck_server_patches/patch-2.6.14-ck4-server: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck4
	* info/patches/ck_patches/patch-2.6.14-ck4: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* info/patches/tarpit_patches/tarpit.patch: reverted to old source url
	* info/patches/tarpit_patches/tarpit-for-2.6.14.patch: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14.2
	* info/patches/maintenance_patches/patch-2.6.14.2: added

2005-11-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-mm2
	* info/patches/mm_patches/2.6.14-mm2: added

2005-11-08 David Brown <dmlb2000@gmail.com>
	* info/patches/tarpit_patches/tarpit.patch: fixed url and added more
	  applied kernels

2005-11-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14.1
	* info/patches/maintenance_patches/patch-2.6.14.1: added

2005-11-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck3-server
	* info/patches/ck_server_patches/patch-2.6.14-ck3-server: added

2005-11-07 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck3
	* info/patches/ck_patches/patch-2.6.14-ck3: added

2005-11-05 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/sws2_patches/software-suspend-2.2-rc8-for-2.6.14.patch:
	  Removed (didn't cleanly apply to 2.6.14)
	* info/patches/sws2_patches/software-suspend-2.2-rc9-for-2.6.14.patch:
	  Added
	* info/patches/gensplash_patches/fbsplash-0.9.2-r5-2.6.14.patch: Added

2005-11-06 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-mm1
	* info/patches/mm_patches/2.6.14-mm1: added

2005-11-03 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/sws2_patches/software-suspend-2.2-{rc7-for-2.6.13,
	  rc8-for-2.6.14}.patch: Added

2005-11-02 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck2-server
	* info/patches/ck_server_patches/patch-2.6.14-ck2-server: added

2005-11-02 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck2
	* info/patches/ck_patches/patch-2.6.14-ck2: added

2005-11-02 David Brown <dmlb2000@gmail.com>
	* info/patches/reiser4_patches/reiser4-for-2.6.13-4.patch: added
	* info/patches-sigs/reiser4_patches/reiser4-for-2.6.13-4.patch.gz.sig: added

2005-11-02 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/sws2_patches/software-suspend-2.2-rc6-for-2.6.13.patch:
	  Changed source_url to use distro/kernel instead of mirror/
	  SMGL kernel patches go in distro/kernel, /mirror is for mirroring other
	  people's code.
	* info/patches/maintenance_patches/patch-2.6.13.4: Removed
	  ESTABLISHED_UPSTREAM_KEY from URL
	  David, if this is a correct fix than all the other gpg_source_urls (at
	  least in maintenance_patches) need fixing as well, otherwise let me know
	  and I'll revert it.

2005-10-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck1-server
	* info/patches/ck_server_patches/patch-2.6.14-ck1-server: added

2005-10-30 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-ck1
	* info/patches/ck_patches/patch-2.6.14-ck1: added

2005-10-30 David Brown <dmlb2000@gmail.com>
	* PREPARE: modified to add expert mode where all you specify is the
	  kernel version to use and it will assume /usr/src/linux-$VERSION
	  exists
	* BUILD: cleaned up a bit to make it more readable
	* INSTALL: also cleaned up a bit to make it more readable
	* PRE_BUILD: swapped out else if's for case statements and added
	  extra output for expert mode

2005-10-27 David Brown <dmlb2000@gmail.com>
	* info/patches/maintenance_patches/patch-2.6.14: added
	* info/kernels/2.6.14: added
	* latest.defaults: updated to new 2.6.14 kernel

2005-10-25 David Brown <dmlb2000@gmail.com>
	* PREPARE: modified source level to ESTABLISHED_UPSTREAM_KEY
	* info/patches/maintenance_patches/*: added source level to patch files
	* info/patches/PRE_2_6*: added source level to patch files

2005-10-24 David Brown <dmlb2000@gmail.com>
	* PREPARE: added gpg level

2005-10-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-rc5-mm1
	* info/patches/mm_patches/2.6.14-rc5-mm1: added

2005-10-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-rc5
	* info/patches/PRE_2_6/patch-2.6.14-rc5: added
	* info/kernels/2.4.30: added
	* info/kernels/2.4.31: added

2005-10-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-rc4-mm1
	* info/patches/mm_patches/2.6.14-rc4-mm1: added

2005-10-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-rc4
	* info/patches/PRE_2_6/patch-2.6.14-rc4: added

2005-10-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck8-server
	* info/patches/ck_server_patches/patch-2.6.13-ck8-server: added

2005-10-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck8
	* info/patches/ck_patches/patch-2.6.13-ck8: added

2005-10-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13.4
	* info/patches/maintenance_patches/patch-2.6.13.4: added

2005-10-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck7-server
	* info/patches/ck_server_patches/patch-2.6.13-ck7-server: added

2005-10-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck7
	* info/patches/ck_patches/patch-2.6.13-ck7: added

2005-10-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13.3
	* info/patches/maintenance_patches/patch-2.6.13.3: added

2005-10-03 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13.2
	* info/patches/maintenance_patches/patch-2.6.13.2: added

2005-10-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-rc3
	* info/patches/PRE_2_6/patch-2.6.14-rc3: added

2005-10-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-rc2-mm2
	* info/patches/mm_patches/2.6.14-rc2-mm2: added

2005-09-26 David Brown <dmlb2000@gmail.com>
	* info/patches/toshiba5100_patches/toshiba_fixes.patch: added bug 9842
	* info/patches-sigs/toshiba5100_patches/toshiba_fixes.patch.bz2.sig: added

2005-09-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck6-server
	* info/patches/ck_server_patches/patch-2.6.13-ck6-server: added

2005-09-23 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck6
	* info/patches/ck_patches/patch-2.6.13-ck6: added

2005-09-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-rc2-mm1
	* info/patches/mm_patches/2.6.14-rc2-mm1: added

2005-09-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-rc2-mm1
	* info/patches/mm_patches/2.6.14-rc2-mm1: added

2005-09-21 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/gensplash_patch/fbsplash-0.9.2-r4-2.6.13-rc6.patch: Added

2005-09-20 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-rc2
	* info/patches/PRE_2_6/patch-2.6.14-rc2: added

2005-09-19 David Brown <dmlb2000@gmail.com>
	* info/patches/nsa_patches/2.6.13-selinux1.patch: added
	* info/patches/mppe_mppc_patches/linux-2.6.13-mppe-mppc-1.3.patch: added
	* info/patches-sigs/mppe_mppc_patches/linux-2.6.13-mppe-mppc-1.3.patch.sig: added

2005-09-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck5
	* info/patches/ck_patches/patch-2.6.13-ck5: added

2005-09-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck5-server
	* info/patches/ck_server_patches/patch-2.6.13-ck5-server: added

2005-09-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck4-server
	* info/patches/ck_server_patches/patch-2.6.13-ck4-server: added

2005-09-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck4
	* info/patches/ck_patches/patch-2.6.13-ck4: added

2005-09-18 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13.2
	* info/patches/maintenance_patches/patch-2.6.13.2: added

2005-09-18 David Brown <dmlb2000@gmail.com>
	* INSTALL: moved /usr/src/linux softlink outside of INTERNAL_ISO_VAR

2005-09-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.14-rc1-mm1
	* info/patches/mm_patches/2.6.14-rc1-mm1: added

2005-09-13 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.14-rc1
	* info/patches/PRE_2_6/patch-2.6.14-rc1: added

2005-09-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck3-server
	* info/patches/ck_server_patches/patch-2.6.13-ck3-server: added

2005-09-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck3
	* info/patches/ck_patches/patch-2.6.13-ck3: added

2005-09-12 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-mm3
	* info/patches/mm_patches/2.6.13-mm3: added

2005-09-11 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck3
	* info/patches/ck_patches/patch-2.6.13-ck3: added

2005-09-10 David Brown <dmlb2000@gmail.com>
	* INSTALL: change vmlinubz to vmlinuz bug 8440
	* UPDATE_BOOTLOADER: changed vmlinubz to vmlinuz
	* templates/silo.conf.tmplt: changed vmlinubz to vmlinuz
	* templates/yaboot.conf.tmplt: changed vmlinubz to vmlinux
	* templates/lilo.conf.tmplt: changed vmlinubz to vmlinuz
	* templates/menu.lst.tmplt: changed vmlinubz to vmlinuz
	* FINAL: did a little warning ;)

2005-09-10 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13.1
	* info/patches/maintenance_patches/patch-2.6.13.1: added

2005-09-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-mm2
	* info/patches/mm_patches/2.6.13-mm2: added

2005-09-06 David Brown <dmlb2000@gmail.com>
	* info/patches/sws2_patches/software-suspend-2.2-rc6-for-2.6.13.patch:
	  added
	* info/patches/sws2_patches/software-suspend-2.2-rc6-for-2.6.13.patch.sig:
	  added

2005-09-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck2
	* info/patches/ck_patches/patch-2.6.13-ck2: added

2005-09-02 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-mm1
	* info/patches/mm_patches/2.6.13-mm1: added
	* info/patches/bootsplash/bootsplash-3.1.6-2.6.13.diff: added
	* PRE_BUILD: added some extra checks to make sure maintanence patches
	  work

2005-08-29 David Brown <dmlb2000@gmail.com>
	* info/patches/squashfs2.2-patch: added 2.6.13 to applied kernels list

2005-08-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck1-server
	* info/patches/ck_server_patches/patch-2.6.13-ck1-server: added
	* info/updatepatch: fixed sed expression

2005-08-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-ck1
	* info/patches/ck_patches/patch-2.6.13-ck1: added

2005-08-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13
	* info/patches/maintenance_patches/patch-2.6.13: added
	* info/patches/PRE_2_6/patch-2.6.13: added
	* info/kernels/2.6.13: added
	* info/updatepatch: fixed to use sed -i

2005-08-24 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-rc7
	* info/patches/PRE_2_6/patch-2.6.13-rc7: added
	* INSTALL: added check for config modules support

2005-08-24 David Brown <dmlb2000@gmail.com>
	* PRE_BUILD: fixed RESTORE_CONFIG again... and silentoldconfig didn't
	  pull the config from /boot/config-$VERSION for some reason :\

2005-08-23 Benoit PAPILLAULT <benoit.papillault@sourcemage.org>
	* BUILD: for ppc architecture, remove the -s flag for both 2.4 and
	2.6 kernels. Fixed http://bugs.sourcemage.org/show_bug.cgi?id=7130

2005-08-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-rc6-mm2
	* info/patches/mm_patches/2.6.13-rc6-mm2: added

2005-08-22 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-ck6
	* info/patches/ck_patches/patch-2.6.12-ck6: added
	* info/patches/ck_server_patches/patch-2.6.12-ck6-server: added
	* PRE_BUILD: fixed case statement of RESTORE_CONFIG and fixed patching
	  to improve new libunpack usage
	* PREPARE: fixed create_details to use new libunpack vars
	* INSTALL: changes symlinks around to work
	* CONFIGURE: removed CONFIG_KERNEL question also added few more config
	  styles
	  fixed bugs #9560 #9526 part of #9557 and #9572 hopefully...

2005-08-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-nitro5
	* info/patches/nitro_patches/patch-2.6.12-nitro5: added

2005-08-19 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-rc6-mm1
	* info/patches/mm_patches/2.6.13-rc6-mm1: added

2005-08-16 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12.5
	* info/patches/maintenance_patches/patch-2.6.12.5: added

2005-08-12 David Brown <dmlb2000@gmail.com>
	* INSTALL: added install root for modules (doh forgot about that) and
	  added internal for for iso team so cast succeeds
	* UPDATE_BOOTLOADER: removed old functions that aren't called
	* BUILD: added internal var for iso team so it doesn't build everything
	* PREPARE: added some quotes where there wasn't and should have been

2005-08-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-rc5-mm1
	* info/patches/mm_patches/2.6.13-rc5-mm1: added

2005-08-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-ck5-server
	* info/patches/ck_server_patches/patch-2.6.12-ck5-server: added

2005-08-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-ck5
	* info/patches/ck_patches/patch-2.6.12-ck5: added

2005-08-08 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-rc6
	* info/patches/PRE_2_6/patch-2.6.13-rc6: added

2005-08-05 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12.4
	* info/patches/maintenance_patches/patch-2.6.12.4: added

2005-08-01 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-rc5
	* info/patches/PRE_2_6/patch-2.6.13-rc5: added

2005-08-01 David Brown <dmlb2000@gmail.com>
	* PREPARE: changed some labels to make it seem nicer

2005-07-31 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-rc4-mm1
	* info/patches/mm_patches/2.6.13-rc4-mm1: added

2005-07-29 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.13-rc4
	* info/patches/PRE_2_6/patch-2.6.13-rc4: added

2005-07-28 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-rc3-mm3
	* info/patches/mm_patches/2.6.13-rc3-mm3: added

2005-07-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-ck4-server
	* info/patches/ck_server_patches/patch-2.6.12-ck4-server: added

2005-07-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-ck4
	* info/patches/ck_patches/patch-2.6.12-ck4: added

2005-07-27 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to 2.6.13-rc3-mm2
	* info/patches/mm_patches/2.6.13-rc3-mm2: added

2005-07-27 David Brown <dmlb2000@gmail.com>
	* info/patches/mm_patches/2.6.13-rc3-mm1: fixed gpg keyring

2005-07-21 David Brown <dmlb2000@gmail.com>
	* latest.defaults: updated latest to patch-2.6.12-cko3
	* info/patches/cko_patches/patch-2.6.12-cko3: added

2005-07-15 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12.3
	* info/patches/maintenance_patches/patch-2.6.12.3: added
	* PREPARE: cleared gpg_source_url forgot to do that and fixed spelling

2005-07-15 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.13-rc3-mm1
	* info/patches/mm_patches/2.6.13-rc3-mm1: added
	* info/patches/reiser4_patches/reiser4-for-2.6.12-3.patch: added
	* info/patches-sigs/reiser4_patches/reiser4-for-2.6.12-3.patch.gz.sig: added
	* PREPARE: switched out the var dialog for an array and added evals to
	  the dialog calls so the under-scores can be removed. Also moved the
	  removal of the CONFIGURE vars to a different location so cast -c does
	  not reask the questions with defaults.

2005-07-13 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/gensplash/{fbsplash-0.9.2-2.6.11.patch,
	  fbsplash-0.9.2-r2-2.6.12-rc3.patch}: Older versions are stored in archive
	* info/patches/gensplash/{fbsplash-0.9.2-r4-2.6.13-rc1.patch,
	  fbsplash-0.9.2-r3-2.6.12-rc3.patch}: Added

2005-07-13 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.13-rc3
	* info/patches/PRE_2_6/patch-2.6.13-rc3: added
	* info/patches/mppe_mppc_patches/linux-2.6.12-mppe-mppc-1.3.patch: added
	* info/patches-sigs/mppe_mppc_patches/linux-2.6.12-mppe-mppc-1.3.patch.sig:
	  added

2005-07-12 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.13-rc2-mm2
	  updated latest to patch-2.6.12-cko2
	* info/patches/mm_patches/2.6.13-rc2-mm2: added
	* info/patches/cko_patches/patch-2.6.12-cko2: added

2005-07-10 David Brown <dmlb2000@excite.com>
	* PREPARE: fixed logic error it's LATEST_<patch dir> not <patch dir>
	  and added the removal of CONFIG_KERNEL when the spell config gets
	  copied
	* PRE_BUILD: added the check for CONFIG_KERNEL
	* CONFIGURE: added question for CONFIG_KERNEL this is for the iso team
	  primarily
	* info/patches/xbox_linux/linux-2.6.12-xbox.patch: added
	* info/patches-sigs/xbox_linux/linux-2.6.12-xbox.patch.gz.sig: added

2005-07-09 David Brown <dmlb2000@excite.com>
	* PRE_BUILD: cleared the source_gpg so it doesn't get used on patches
	  that don't have it.
	* info/patches-sigs/squashfs_patches/squashfs2.2-patch.bz2.sig: added
	* info/patches-sigs/sws2_patches/software-suspend-2.1.9.5-for-2.6.12.patch.bz2.sig:
	  added
	* info/patches/squashfs_patches/squashfs2.2-patch: added
	* info/patches/sws2_patches/.info: added
	* info/patches/sws2_patches/software-suspend-2.1.9.5-for-2.6.12.patch: added

2005-07-08 David Brown <dmlb2000@excite.com>
	* DETAILS, PREPARE, PRE_BUILD, FINAL: exchanged SCRIPT_DIRECTORY for
	  SPELL_DIRECTORY
	* PREPARE: added gpg signing for patchfiles
	* PRE_BUILD: added the gpg check for the files
	* info/patches/nsa_patches/2.6.12-selinux1.patch: added

2005-07-07 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.13-rc2-mm1
	* info/patches/mm_patches/2.6.13-rc2-mm1: added

2005-07-06 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12.2 and patch-2.6.13-rc2
	  updated latest to 2.6.13-rc1-mm1, ck patches and ck server patches
	* info/patches/maintenance_patches/patch-2.6.12.2: added
	* info/patches/PRE_2_6/patch-2.6.13-rc1: added
	* info/patches/PRE_2_6/patch-2.6.13-rc2: added
	* info/patches/mm_patches/2.6.13-rc1-mm1: added
	* info/patches/ck_patches/patch-2.6.12-ck3: added
	* info/patches/ck_server_patches/patch-2.6.12-ck3-server: added

2005-06-28 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12-cko1
	* info/patches/cko_patches/patch-2.6.12-cko1: added

2005-06-27 David Brown <dmlb2000@excite.com>
	* latest.defaults: added latest love patch
	* info/love_patches/2.6.12-love1: added bug #9148
	* info/love_patches/.info: added

2005-06-25 David Brown <dmlb2000@excite.com>
	* PRE_BUILD: added text as a valid uncompressed patch type
	* info/patches/bootsplash_patches/bootsplash-3.1.6-2.6.12.diff: added
	* latest.defaults: removed the 12.1 's that resulted from the
	  updatepatch script misbehaving
	* info/updatepatch: made it look for the correct patch without running
	  over other similar patchfiles

2005-06-23 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12.1
	* info/patches/maintenance_patches/patch-2.6.12.1: added

2005-06-21 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12-ck1
	  updated latest to patch-2.6.12-ck2
	  updated latest to patch-2.6.12-ck1-server
	  updated latest to patch-2.6.12-ck2-server
	* info/patches/ck_server_patches/patch-2.6.12-ck1-server: added
	* info/patches/ck_server_patches/patch-2.6.12-ck2-server: added
	* info/patches/ck_patches/patch-2.6.12-ck1: added
	* info/patches/ck_patches/patch-2.6.12-ck2: added

2005-06-20 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-mm1
	* info/patches/mm_patches/2.6.12-mm1: added
	* CONFLICTS: added linux-new

2005-06-19 David Brown <dmlb2000@excite.com>
	* PRE_BUILD: added && so it will fail all the way thru the file

2005-06-18 David Brown <dmlb2000@excite.com>
	* UPDATE_BOOTLOADER: fixed handling of lilo.conf file it doesn't change
	  permissions (bug #6709)
	* latest.defaults: updated latest to patch-2.6.12
	* info/patches/PRE_2_6/patch-2.6.12: added
	* info/kernels/2.6.12: added
	* info/patches/maintenance_patches/patch-2.6.12: added
	* PRE_BUILD: added a head -n 1 to the find incase there are two files
	  of the same name like the dummy patch files for PRE_2_6 and
	  maintenance_patches

2005-06-16 David Brown <dmlb2000@excite.com>
	* PREPARE: fixed bug where the appliedkernels var would be used improperly.
	  basically bug went like this, select a patch that changed the kernel
	  version then select a patch that had more than one appliedkernels version
	  it would then use that variable instead of the one for the first patch.
	  Yeah complicated. And reverted one of my changes later thanks dkowis :\

2005-06-16 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* latest.defaults: updated latest to
	  grsecurity-2.1.6-2.6.11.12-200506141713.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.6-2.6.11.12-200506141713.patch:
	  added

2005-06-12 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11.12
	  updated latest to patch-2.6.11-ck10
	  updated latest to patch-2.6.11-ck10-server
	* info/patches/maintenance_patches/patch-2.6.11.12: added
	* info/patches/ck_patches/patch-2.6.11-ck10: added
	* info/patches/ck_server_patches/patch-2.6.11-ck10-server: added

2005-05-10 David Brown <dmlb2000@excite.com>
	* PREPARE: added fix so the default kernel when users run for the first
	  time will be the 2.6.11.11 kernel instead of the 2.6.11 kernel
	* info/patches/squashfs_patches: added
	* info/patches/alps_patches: added

2005-06-09 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc6-mm1
	* info/patches/mm_patches/2.6.12-rc6-mm1: added
	* FINAL: added fix to check if the version of the bootloader is
	  installed as well as if the file config file exists

2005-06-07 David Brown <dmlb2000@excite.com>
	* FINAL: changed checking for lilo.conf to the right place.. :\

2005-06-06 David Brown <dmlb2000@excite.com>
	* latest.defaults: update PRE_2_6 patches to rc6
	* info/patches/PRE_2_6/patch-2.6.12-rc6: added

2005-06-05 David Brown <dmlb2000@excite.com>
	* BUILD: removed strip from CFLAGS when compiling on ppc bug 9058 or
	  7130 don't know which :\

2005-06-04 Thomas Houssin <Thomas.Houussin@sourcemage.org>
	* latest.defaults: updated latest to reiser4-for-2.6.11-5.patch
	* info/patches/reiser4_patches/reiser4-for-2.6.11-5.patch: added

2005-06-04 David Brown <dmlb2000@excite.com>
	* latest.defaults: added git patches
	* info/patches/git_patches/*: added git patches
	* BUILD: removed logic to mess with CFLAGS not needed added extra make
	  options for adding extra cflags and other options that could go to
	  build process of the kernel
	* PREPARE: added extra make options dialog in the options menu

2005-06-02 David Brown <dmlb2000@excite.com>
	* info/updatepatch: added checks for the required arguments and print
	  help if those aren't there (Thomas Houssin suggestion)
	* volatiles: added to not track /lib/modules/*/modules.*
	* HISTORY: added the old history file from the old linux spell to the
	  end of this file
	* volatiles: added to remove tracking of /lib/modules/*/modules.*

2005-06-02 Thomas Houssin <Thomas.Houssin@sourcemage.org>
	* latest.defaults: updated latest to
	  grsecurity-2.1.5-2.6.11.11-200505121617.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.5-2.6.11.11-200505121617.patch:
	  added

2005-06-01 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc5-mm2
	* info/patches/mm_patches/2.6.12-rc5-mm2: added

2005-05-31 David Brown <dmlb2000@excite.com>
	* PRE_BUILD: added the make oldconfig call if reconf is not true

2005-05-30 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-ck9
	  updated latest to patch-2.6.11-ck9-server
	* info/patches/ck_patches/patch-2.6.11-ck9: added
	* info/patches/ck_server_patches/patch-2.6.11-ck9-server: added

2005-05-27 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11.11
	* info/patches/maintenance_patches/patch-2.6.11.11: added

2005-05-25 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12-rc5
	  updated latest to 2.6.12-rc5-mm1
	* info/patches/PRE_2_6/patch-2.6.12-rc5: added
	* info/patches/mm_patches/2.6.12-rc5-mm1: added

2005-05-23 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-ck8
	* info/patches/ck_patches/patch-2.6.11-ck8: added
	* info/patches/ck_server_patches/*: added

2005-05-21 David Brown <dmlb2000@excite.com>
	* PREPARE: fixed config restore to apply to the kernel version you select
	* PRE_BUILD: added the copy of what ever config restore option you gave
	* info/patches/PRE_2_6/patch-2.6.11.*: moved to maintenance_patches
	* info/patches/maintenance_patches/patch-2.6.11.*: added from PRE_2_6
	* latest.defaults: added the LATEST_maintenance_patches var

2005-05-19 David Brown <dmlb2000@excite.com>
	* UPDATE_BOOTLOADER: added check for config file depending on what it is
	  also get root and boot devs from mount instead of /proc/mounts
	* FINAL: before running spit out *BIG* warning about the tmplt file

2005-05-18 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11.10
	* info/patches/PRE_2_6/patch-2.6.11.10: added

2005-05-17 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc4-mm2
	* info/patches/mm_patches/2.6.12-rc4-mm2: added

2005-05-16 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to reiser4-for-2.6.11-3
	  updated latest to grsecurity-2.1.5-2.6.11.9-200505121617.patch
	* info/patches/reiser4_patches/reiser4-for-2.6.11-3: added
	* info/patches/grsecurity_2_6/grsecurity-2.1.5-2.6.11.9-200505121617.patch:
	  added

2005-05-14 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc4-mm1
	  updated latest to patch-2.6.11.9
	* info/patches/mm_patches/2.6.12-rc4-mm1: added
	* info/patches/PRE_2_6/patch-2.6.11.9: added

2005-05-08 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12-rc4
	* info/patches/PRE_2_6/patch-2.6.12-rc4: added

2005-05-06 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-ck7
	  updated latest to patch-2.6.11-cko5
	  updated latest to 2.6.11-selinux1.patch
	  updated latest to 2.6.11-selinux1-nfs1.patch
	* info/patches/ck_patches/patch-2.6.11-ck5: added
	* info/patches/ck_patches/patch-2.6.11-ck6: added
	* info/patches/ck_patches/patch-2.6.11-ck7: added
	* info/patches/cko_patches/patch-2.6.11-cko5: added
	* info/patches/nsa_patches/2.6.11-selinux1.patch: added
	* info/patches/nsa_patches/2.6.11-selinux1-nfs1.patch: added

2005-05-04 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc3-mm3
	* info/patches/mm_patches/2.6.12-rc3-mm3: added

2005-05-02 Eric Sandall <sandalle@sourcemage.org>
	* templates/menu.lst.tmplt: Source Mage not Sourcemage :)

2005-05-02 David Brown <dmlb2000@excite.com>
	* mk_initrd: automatic detection of proper major and minor for block
	  devices and passed correct cmdline args to init
	* UPDATE_BOOTLOADER: added the install of the template files #8784
	  and fixed cat /proc/mounts | grep / producing two lines
	* FINAL: added install of the template files #8784
	* latest.defaults: updated latest to fbsplash-0.9.2-r2-2.6.12-rc3.patch
	  updated latest to 2.6.12-rc3-mm2
	* info/patches/gensplash_patches/fbsplash-0.9.2-r2-2.6.12-rc3.patch: added
	* info/patches/mm_patches/2.6.12-rc3-mm2: added

2005-05-01 David Brown <dmlb2000@excite.com>
	* mk_initrd: Works!!! kernel commandline: root=/dev/ram0
	  real_root=/dev/<root-dev> init=/linuxrc

2005-04-30 David Brown <dmlb2000@excite.com>
	* mk_initrd: trying to get busybox to work right getting closer
	* latest.defaults: updated latest to patch-2.6.11.8
	  updated latest to 2.6.12-rc3-mm1
	* info/patches/PRE_2_6/patch-2.6.11.8: added
	* info/patches/mm_patches/2.6.12-rc3-mm1: added

2005-04-29 David Brown <dmlb2000@excite.com>
	* UPDATE_BOOTLOADER: fixed typoe for aquiring BOOT_DEV var

2005-04-25 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-ac7
	* info/patches/ac_patches/patch-2.6.11-ac7: added
	* info/patches/ac_patches/patch-2.6.11-ac[456]: fixed patch version
	  Cox descided to remove the dash between the kernel version and his
	  version
	* UPDATE_BOOTLOADER: made ROOT_DEV actually be the device mounted at
	  root and added BOOT_DEV which is the device where /boot is mounted

2005-04-23 David Brown <dmlb2000@excite.com>
	* UPDATE_BOOTLOADER: fixed ROOT_DEV not being set right

2005-04-21 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12-rc3
	* info/patches/PRE_2_6/patch-2.6.12-rc3: added

2005-04-19 David Brown <dmlb2000@excite.com>
	* latest.defaults: removed some driver and filesystem patches not needed
	  for a "latest" type, also cleans up the patches menu a little
	* info/patches/PRE_2_6/patch-2.6.11.7: added
	* templates/*: added templates for grub lilo silo and yaboot with README
	* UPDATE_BOOTLOADER: added templated functionality for all bootloaders
	* PREPARE: added output of selected kernel to more dialogs
	* BUILD: added capability to eventually push our CFLAGS to the kernel

2005-04-11 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc2-mm2
	  updated latest to 2.6.12-rc2-mm3
	  updated latest to patch-2.6.11-ck4
	  updated latest to patch-2.6.11-cko4
	* info/patches/mm_patches/2.6.12-rc2-mm2: added
	* info/patches/mm_patches/2.6.12-rc2-mm3: added
	* info/patches/ck_patches/patch-2.6.11-ck4: added
	* info/patches/cko_patches/patch-2.6.11-cko4: added

2005-04-06 David Brown <dmlb2000@excite.com>
	* PREPARE: fixed problem with no valid source trees

2005-04-05 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.12-rc2
	  updated latest to 2.6.12-rc2-mm1
	* info/patches/PRE_2_6/patch-2.6.12-rc2: added
	* info/patches/mm_patches/2.6.12-rc2-mm1: added
	* PREPARE, PRE_BUILD: added gpg checking of the linux base tar ball

2005-04-03 David Brown <dmlb2000@excite.com>
	* PREPARE: finished up basic CUSTOM kernel section, however, it only
	  works if the files for the patches and kernels are already there
	  might fix soon or just leave as is...

2005-04-02 David Brown <dmlb2000@excite.com>
	* PREPARE: cleaned up config restore section also made slot for CUSTOM
	  kernel, just need to figure out how current linux parses the var

2005-03-31 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc1-mm4
	* info/patches/mm_patches/2.6.12-rc1-mm4: added
	* info/patches/mm_patches/2.6.11-rc3-mm1: deleted
	* CONFIGURE,FINAL: added option for update bootloader
	* DETAILS: reverted one of Andrew Stitt's changes latest.defaults is
	  part of the spell and doesn't get created on the fly by anything

2005-03-31 Andrew Stitt <astitt@sourcemage.org>
	* DETAILS: fix syntax error

2005-03-30 David Brown <dmlb2000@excite.com>
	* PREPARE: split up sourcing of help/short and source*/md5sum files
	  hopefully help lessen that little stop before the patches menu comes
	  up

2005-03-29 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-cko3
	* info/patches/cko_patches/patch-2.6.11-cko3: added

2005-03-28 David Brown <dmlb2000@excite.com>
	* PREPARE: added help button also
	* info/patches/ac_patches/.info: modified to look a little nicer
	* info/patches/*/.info: added if not there

2005-03-27 David Brown <dmlb2000@excite.com>
	* DETAILS: fixed bug 8498 TMPFS problem also cleaned up added more
	  commenting
	  added UPDATED var
	* latest.defaults: updated latest to patch-2.6.11-ac6
	* info/patches/ac_patches/patch-2.6.11-ac6: added
	* info/patches/ac_patches/patch-2.6.11-ac2: deleted

2005-03-25 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc1-mm3
	  updated latest to patch-2.6.11-ck3
	* info/patches/mm_patches/2.6.11-rc2-mm2: deleted
	* info/patches/mm_patches/2.6.12-rc1-mm3: added
	* info/patches/PRE_2_6/patch-2.6.11.2: deleted
	* info/patches/PRE_2_6/patch-2.6.11.6: added
	* info/kernels/2.6.11.6: added
	* info/patches/ck_patches/patch-2.6.11-rc1-ck2: deleted
	* info/patches/ck_patches/patch-2.6.11-ck3: added

2005-03-24 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc1-mm2
	* info/patches/mm_patches/2.6.12-rc1-mm2: added
	* info/patches/mm_patches/2.6.11-rc1-mm2: deleted

2005-03-22 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-ac5
	* info/patches/ac_patches/patch-2.6.11-ac5: added
	* info/patches/ac_patches/patch-2.6.11-ac1: deleted

2005-03-21 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.12-rc1-mm1
	* info/patches/mm_patches/2.6.12-rc1-mm1: added
	* info/patches/mm_patches/2.6.11-rc2-mm1: deleted
	* PREPARE: adding source_patch function to automatically source .info
	  file
	* PRE_BUILD: only other place where files are sourced

2005-03-19 David Brown <dmlb2000@excite.com>
	* info/patches/PRE_2_6/patch-2.6.11.5: added
	* info/patches/PRE_2_6/patch-2.6.11-rc4: deleted
	* info/kernels/2.6.11.5: added
	* info/patches/PRE_2_6/patch-2.6.11.*: removed depends and added
	  patchversion var

2005-03-17 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.11-mm4
	  updated latest to patch-2.6.11-ac4
	  updated latest to patch-2.6.12-rc1
	* info/patches/mm_patches/2.6.11-rc1-mm1: deleted
	* info/patches/mm_patches/2.6.11-mm4: added
	* info/updatepatch: added EMAIL var for history entry
	* info/patches/ac_patches/patch-2.6.10-ac9: deleted
	* info/patches/ac_patches/patch-2.6.11-ac4: added
	* info/patches/PRE_2_6/patch-2.6.12-rc1: added
	* info/patches/PRE_2_6/patch-2.6.11-rc2: deleted

2005-03-17 Eric Sandall <sandalle@sourcemage.org>
	* latest.defaults: Latest PRE_2_6 is 2.6.11.4
	  Added gensplash_patches and bootsplash_patches
	* info/patches/PRE_2_6/patch-2.6.11.4, info/kernels/2.6.11.4: Added
	* info/patches/fbsplash_patches/fbsplash-0.9.2-2.6.11.patch,
	  info/patches/fbsplash_patches/.info: Added
	* info/patches/bootsplash/.info, bootsplash-3.0.7-2.4.29.diff: Added
	* Renamed info/patches/fbsplash_patches to info/patches/gensplash_patches

2005-03-13 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11.3
	* info/patches/PRE_2_6/patch-2.6.11.3: added
	* info/patches/PRE_2_6/patch-2.6.11-rc1: deleted
	* info/kernels/2.6.11.3: added
	* info/updatepatch: now anyone can use it read comments in file to see
	  what it does

2005-03-12 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.11-mm3
	  updated latest to patch-2.6.10-as7
	  updated latest to grsecurity-2.1.3-2.6.11-200503111604.patch
	* info/patches/mm_patches/2.6.11-mm3: added
	* info/patches/mm_patches/2.6.10-rc3-mm1: deleted
	* info/patches/grsecurity_2_6/grsecurity-2.1.3-2.6.11-200503111604.patch:
	  added
	* info/patches/as_patches/patch-2.6.10-as7: added

2005-03-11 David Brown <dmlb2000@excite.com>
	* info/patches/ac_patches/.info: added
	* info/patches/ac_patches/*: edit to include the .info file
	* CONFIGURE: edit to remove the stop for sorcery rebuild
	* PRE_BUILD: printed off the linux-source-directory for debugging
	* latest.defaults: updated latest to patch-2.6.11-cko2
	* info/patches/cko_patches/patch-2.6.11-cko2: added

2005-03-10 Ladislav Hagara <hgr@vabo.cz>
	* info/kernels/2.6.11.2: fixed md5sum

2005-03-09 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11.2
	  updated latest to patch-2.6.11-ck2
	  udpated latest 2.6 kernel to 2.6.11 then if you /need/ the patches
	    2.6.11.[12] they are available...
	  updated latest to patch-2.6.11-ac2
	  updated latest to 2.6.11-mm2
	* info/patches/PRE_2_6/patch-2.6.11.2: added
	* info/patches/PRE_2_6/patch-2.6.10-rc3: deleted
	* info/patches/ck_patches/patch-2.6.11-ck2: added
	* info/patches/ck_patches/patch-2.6.11-rc1-ck1: deleted
	* PREPARE: updated to be a more recursive depends creation
	* info/patches/PRE_2_6/patch-2.6.11.[12]: updated to be patches instead
	  dummy patch files
	* info/patches/ac_patches/patch-2.6.11-ac2: added
	* info/patches/ac_patches/patch-2.6.9-ac14: deleted
	* info/patches/mm_patches/2.6.11-mm2: added
	* info/patches/mm_patches/2.6.10-rc2-mm4: deleted

2005-03-08 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/bootsplash/bootsplash-3.1.4-2.6.11.diff: Works with 2.6.11.1

2005-03-08 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest PRE_2_6 to patch-2.6.11.1
	  updated latest 2.6 kernel 2.6.11.1
	* info/patches/PRE_2_6/patch-2.6.11.1: added
	* info/kernels/2.6.11.1: added
	* info/patches/PRE_2_6/patch-2.6.10-rc2: deleted
	* info/kenrels/2.6.4: deleted
	* info/kernels/2.6.5: deleted

2005-03-07 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.11-ac1
	* info/patches/ac_patches/patch-2.6.11-ac1: added
	* info/patches/ac_patches/patch-2.6.10-ac8: deleted

2005-03-05 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to
	  grsecurity-2.1.2-2.6.11-200503051216.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.2-2.6.11-200503051216.patch:
	  added

2005-03-05 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Doesn't really depend on perl
	* INSTALL: Don't fail if /usr/src/linux doesn't exist

2005-03-04 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to patch-2.6.10-as6
	  updated latest to kernel-source-2.6.10_2.6.10-5.diff
	  updated latest to wbsd-2.6.11-1.patch
	* info/patches/as_patches/patch-2.6.10-as6: added
	* info/patches/debian_patches/kernel-source-2.6.10_2.6.10-5.diff: added
	* PRE_BUILD: added check for debian patches
	* info/patches/wbsd_patches/wbsd-2.6.11-1.patch: added

2005-03-04 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.11-mm1
	* info/patches/mm_patches/2.6.11-mm1: added
	* info/patches/mm_patches/2.6.10-rc2-mm3: deleted

2005-03-03 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to
	  grsecurity-2.1.1-2.6.10-as2-200501242254.patch
	* info/patches/grsecurity_2_6/grsecurity-2.1.1-2.6.10-as2-200501242254.patch:
	  added

2005-03-03 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/bootsplash_patches/bootsplash-3.1.4-2.6.11.diff: Added
	* info/patches/mppe_mppc_patches/linux-2.6.11-mppe-mppc-1.3.patch: Added
	* info/patches/mppe_mppc_patches/linux-2.4.29-mppe-mppc-1.3.patch: Added

2005-03-02 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest to 2.6.11-rc5-mm1
	  updated latest to patch-2.6.11-ck1
	  updated latest to patch-2.6.11-cko1
	* info/patches/mm_patches/2.6.11-rc5-mm1: added
	* info/patches/mm_patches/2.6.10-mm2: deleted
	* info/patches/ck_patches/patch-2.6.11-ck1: added
	* info/patches/ck_patches/2.6.11-rc2-ck1.diff: deleted
	* info/patches/cko_patches/patch-2.6.11-cko1: added
	* info/patches/reiser4_patches/reiser4-2.6.10-2: added

2005-03-03 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated PRE_2_6 patch to 2.6.11
	* info/patches/PRE_2_6/patch-2.6.11: added

2005-03-03 Ladislav Hagara <hgr@vabo.cz>
	* latest.defaults: 2.6.11
	* info/kernels/2.6.11: added

2005-02-27 David Brown <dmlb2000@excite.com>
	* DETAILS: updated to add patches short to SHORT
	* PREPARE: updated to add SHORT
	* PRE_BUILD: added unpack just for md5sum check... :-\

2005-02-25 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated ck_patches to 2.6.10-ck6
	* info/patches/mm_patches/2.6.10-ck6: added

2005-02-24 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated PRE_2_6 to 2.6.11-rc5
	* info/patches/mm_patches/2.6.11-rc5: added
	* info/patches/mm_patches/2.6.10-rc1: deleted

2005-02-23 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated mm to 2.6.11-rc4-mm1
	* info/patches/mm_patches/2.6.11-rc4-mm1: added
	* info/patches/mm_patches/2.6.10-mm5: deleted

2005-02-14 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated pre 2.6 patches and as sources
	* info/patches/PRE_2_6/patch-2.6.9: deleted
	* info/patches/as_patches/patch-2.6.10-as3: added
	* info/patches/PRE_2_6/patch-2.6.11-rc4: added

2005-02-13 David Brown <dmlb2000@excite.com>
	* PRE_BUILD: fixed linux_new_uncompress to include ASCII because some
	  patches don't come up as diffs or patchfiles

2005-02-12 David Brown <dmlb2000@excite.com>
	* BUILD, PRE_BUILD, INSTALL, FINAL: added && everywhere
	  and cleaned up commented deprecated features also added
	  colored output to the message text
	* PREPARE: added post_patch variable to patchfiles
	  post_patch contains a space separated list of patches that
	  are required to be patched after the current patch is complete.
	  Also remove optional build dir, for most patched kernels it
	  doesn't work and don't know why you would do this in the first
	  place so I removed the code from BUILD PRE_BUILD INSTALL and
	  commented out the menu in PREPARE so if someone wanted they
	  could make this work.

2005-02-11 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated mm patches
	* info/patches/mm_patches/2.6.11-rc3-mm2: added
	* info/patches/mm_patches/2.6.10-rc1-mm4: deleted
	* info/patches/mm_patches/2.6.11-rc3-mm1: corrected source_url

2005-02-06 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated ac patches
	* info/patches/ac_patches/patch-2.6.10-ac12: added
	* info/patches/ac_patches/patch-2.6.9-ac13: removed

2005-02-05 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest mm patches
	* info/patches/mm_patches/2.6.9-mm1: removed
	* info/patches/mm_patches/2.6.11-rc3-mm1: added

2005-02-03 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/bootsplash: Renamed to info/patches/bootsplash_patches to
	  match the rest of the naming pattern
	* info/patches/nsa_patches: Added NSA SELinux patches (2.6.10 and 2.4.26)

2005-02-02 David Brown <dmlb2000@excite.com>
	* tarpit_patches: added
	* 2.6.11-rc3: updated PRE_2_6 kernel

2005-01-26 David Brown <dmlb2000@excite.com>
	* latest.defaults: updated latest ac and ck patch
	* ac_patches: added patch-2.6.10-ac11 deprecated patch-2.6.10-ac7
	* ck_patches: added patch-2.6.11-rc2-ck1

2005-01-25 David Brown <dmlb2000@excite.com>
	* CONFIGURE: updated to check for VOYEUR and make menuconfig
	* PRE_BUILD: added while loop around the menuconfig option
	* PREPARE: starting remove of dependancy on
	  ${CONFIG_CACHE}/kernel.config
	* mk_initrd: added use of busybox and using cramfs as a file system
	  makes things really small so you can have all the modules in the
	  initrd, still doesn't quite work right though

2005-01-22 David Brown <dmlb2000@excite.com>
	* PRE_BUILD: removed functions
	* functions: deleted not needed
	* PREPARE: changed dependancy checking to a small makefile
	  like dependancey checking is supposed to be
	* BIG STEP: first integration into test

2005-01-15 David Brown <dmlb2000@excite.com>
	* ck_patches, cko_patches, nitro_patches: added latest 2.6 versions
	* PREPARE: updated so it will pull the version from the first patch
	* latest.defaults: added latest ck cko and nitro sources

2005-01-12 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: For 2.0, 2.2, and 2.4 kernels use the proper make command on
	  different architectures
	  Removed TABs
	  Added "&&"s

2005-01-12 David Brown <dmlb2000@excite.com>
	* DETAILS: moved LINUX_SOURCE_DIRECTORY to here from PREPARE
	* PREPARE: also changed so menuconfig options are done after oldktree
	  is selected

2005-01-11 David Brown <dmlb2000@excite.com>
	* info/patches/PRE_2_6/patch-2.6.10: this is an example of a dummy patch
	  This is used to keep updated with LATEST_PRE_2_6 kernels
	* latest.defaults: updated LATEST_PRE_2_6 patch
	* INSTALL, POST_INSTALL, BUILD, PREPARE, PRE_BUILD: got rid of
	  LINUX_SOURCE_DIRECTORY changed it to SOURCE_DIRECTORY
	* PREPARE: changed creation of details.defaults so the pointers follow
	  the depends of the patches and the appliedkernels variables
	* info/patches/PRE_2_6/patch-2.6.11-rc1, latest.defaults: updated
	  latest 2.6 prepatch

2005-01-11 Eric Sandall <sandalle@sourcemage.org>
	* info/patches/debian_patches/kernel-source-2.6.9_2.6.9-3.diff: Removed
	* info/patches/debian_patches/kernel-source-2.6.9_2.6.9-5.diff: Branched
	  from info/patches/debian_patches/kernel-source-2.6.9_2.6.9-3.diff
	  Updated to 2.6.9_2.6.9-5
	* info/patches/debian_patches/kernel-source-2.6.9_2.6.9-4.diff: Branched
	  from info/patches/debian_patches/kernel-source-2.6.9_2.6.9-5.diff
	  Updated to 2.6.9_2.6.9-4
	* info/patches/bootsplash/bootsplash-3.1.4-2.6.10.diff: Branched from
	  info/patches/bootsplash/bootsplash-3.1.4-sp3-2.6.9-rc4.diff
	  Updated to 3.1.4-2.6.10
	* info/patches/bootsplash/bootsplash-3.1.4-2.6.10.diff,
	  info/patches/bootsplash/bootsplash-3.1.4-sp3-2.6.9-rc4.diff: Fixed URL
	* PREPARE: Reverse listing of patches (so newest are at the top)
	* INSTALL: Use ln -sfn for symlink and LINUX_SOURCE_DIRECTORY instead of
	  linux-VERSION
	* POST_INSTALL: Use LINUX_SOURCE_DIRECTORY for copying .spell-config.p
	* HISTORY: Formatted to Guru Handbook

2005-01-05 David Brown <dmlb2000@excite.com>
	* ALL: Updated everything under the face of the sun
	* PREPARE: changed dir structure
	  changed created config files to config cache instead of script directory
	* latest.defaults: updated to 2.6.10
	* INSTALL PRE_BUILD BUILD functions: removed exit replace with return made
	  spell work for 2.[246] kernels
	* PRE_BUILD: added different config for different kernels

2004-12-19 David Brown <dmlb2000@excite.com>
	* ALL: new linux spell, let me know what you think likes and dislikes,
	  please rip into my code add stuff if you like
	* info/kernels: added all the 2.6 kernel info
	* PREPARE: changes so you don't get patches in the new kernels dialog
	* Including old linux HISTORY file below...:

2005-05-29 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.11, 2.6.12-rc5, 2.4.31-rc1, 2.6.12-rc5-mm1
	* DETAILS: 2.6.11.11

2005-05-17 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.10, 2.4.31-pre2, 2.6.12-rc4-mm2
	* DETAILS: 2.6.11.10

2005-05-12 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.9, 2.6.12-rc4, 2.4.31-pre1, 2.6.12-rc3-mm3
	* DETAILS: 2.6.11.9

2005-05-02 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.8, 2.6.12-rc3, 2.4.30-pre1, 2.6.11-ac7, 2.6.12-rc3-mm2
	* DETAILS: 2.6.11.8

2005-04-30 Benoit PAPILLAULT <benoit.papillault@sourcemage.org>
	* patches/elpp: Corrected patch description
	* Fix http://bugs.sourcemage.org/show_bug.cgi?id=7940

2005-04-08 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.7, 2.6.12-rc2, 2.4.30, 2.6.12-rc2-mm1
	* DETAILS: 2.6.11.7

2005-03-31 Andrew Stitt <astitt@sourcemage.org>
	* DETAILS: fix syntax error

2005-03-29 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.6, 2.4.30-rc3, 2.6.11-ac6, 2.6.12-rc1-mm3
	* DETAILS: 2.6.11.6

2005-03-20 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.5, 2.6.12-rc1, 2.4.30-rc1, 2.6.11-ac4, 2.6.11-mm4
	* DETAILS: 2.6.11.5

2005-03-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS,KERNELS: Latest is 2.6.11.4

2005-03-13 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.3, 2.6.11-mm3
	* DETAILS: 2.6.11.3

2005-03-10 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11.2, 2.4.30-pre3, 2.6.11-ac2, 2.6.11-mm2
	* DETAILS: 2.6.11.2

2005-03-05 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Doesn't really depend on perl

2005-03-02 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.11
	* DETAILS: 2.6.11

2005-01-29 Arjan Bouter <abouter@sourcemage.org>
	* PRE_BUILD: spell_installed -> spell_ok conversion

2005-01-20 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.2.27-rc2, 2.4.29, 2.6.10-ac10, 2.6.11-rc1, 2.6.11-rc1-mm2

2005-01-17 Unet <unet@sourcemage.org>
	* patches/grsecurity: Update to 2.1.0 versions

2005-01-13 Flavien Bridault <disk@sourcemage.org>
	* patches/reiser4: Added (Bug #7860)

2005-01-11 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated 2_6_AC to 2.6.10-ac8
	  Updated 2_6_MM to 2.6.10-mm2
	  Updated 2_2_PRE to 2.2.27-rc1
	  Updated 2_4_PRE to 2.4.29-rc1

2004-01-10 Seth Woolley <seth@tautology.org>
	* patches/uselib: Added SECURITY FIX local root exploit
	  Be sure to select the uselib patch to apply, patches from
	  gentoo, except 2.4.9, which is backported from 2.4.10 by me.

2005-01-05 Eric Sandall <sandalle@sourcemage.org>
	* patches/ska3: Added (Bug #3751)

2005-01-04 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated 2_4_PRE to 2.4.29-pre3
	  Updated 2_6_PRE to 2.6.10
	  Updated 2_6_AC to 2.6.10-ac2
	  Updated 2_6_MM to 2.6.10-mm1
	* mk.2.6.diff: Removed, doesn't work with 2.6.10+ (Bug #7913)
	* PRE_BUILD: Removed application of mk.2.6.diff
	  Use generic sedits to fix Qt config
	* patches/bootsplash: Removed 3.0.7-2.4.22-vanilla
	  Added 3.1.4-2.6.10
	* patches/elpp: Added Enhanced Linux Progress Patch

2004-12-27 Unet <unet@sourcemage.org>
	* KERNELS: Updated LATEST to 2.6.10

2004-12-17 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac16
	  Updated latest 2_4_PRE to 2.4.29-pre2

2004-12-17 Unet <audio@sourcemage.org>
	* patches: added LIDS support

2004-12-11 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac15

2004-12-03 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac13
	  Updated latest 2_4_PRE to 2.4.29-pre1
	  Updated latest 2_6_PRE to 2.6.10-rc3

2004-11-29 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac12

2004-11-22 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,PRE_BUILD: Changed `exit 1` to `return 1` (Bug #7649)
	* DETAILS: Added `return 1` where David removed `exit 1`

2004-11-22 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac11

2004-11-17 David C. Haley <dhaley@hot.rr.com>
	* DETAILS: removed 'exit 1'

2004-11-17 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_AC to 2.6.9-ac8
	  Updated LATEST_2_4 and LATEST_2_4_PRE to 2.4.28

2004-11-15 Treeve Jelbert <treeve@sourcemage.org>
	* KERNELS: LATEST_2_6_PRE="2.6.10-rc2"

2004-11-11 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac8

2004-11-10 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac7

2004-11-07 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated latest 2_4_PRE to 2.4.28-rc2

2004-11-03 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Fix for patchsets without PREPATCH

2004-11-01 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac6

2004-10-29 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac5

2004-10-24 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_AC to 2.6.9-ac4

2004-10-22 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_MM to 2.6.9-mm1
	  Updated latest 2_4_PRE to 2.4.28-rc1
	* patches/bootsplash: Added 3.1.4-sp3-2.6.9-rc4
	  Removed 3.1.4-2.6.3

2004-10-21 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to 2.6.9
	  Updated latest 2_6_AC to 2.6.9-ac1
	  Updated latest 2_6_AC to 2.6.9-ac3 (a little later...)

2004-10-19 Seth Woolley <seth@tautology.org>
	* PREPARE: set the default_arch so that it runs every time (not
	  just when the menu is displayed), and fix a typo.

2004-10-19 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS, KERNELS: 2.6.9

2004-10-11 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to 2.6.8-rc4
	  Updated latest 2_4_PRE to 2.4.28-pre4
	  Updated latest 2_2_PRE to 2.2.27-pre2
	  Updated latest 2_0_PRE to 2.0.40
	  Updated latest 2_6_AC to 2.6.8.1-ac1
	  Updated latest 2_6_MM to 2.6.9-rc4-mm1

2004-09-13 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to 2.6.9-rc2
	  Updated latest 2_4_PRE to 2.4.28-pre3

2004-09-05 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE,PRE_BUILD: Cleaned up INSTALL_ROOT usage
	* PRE_BUILD: Use `ln -sfn` so that the symlink is created correctly

2004-09-04 Eric Sandall <sandalle@sourcemage.org>
	* BUILD,PRE_BUILD: Move graphical configs to PRE_BUILD (Bug #7256)
	* PRE_BUILD: Use if/fi instead of case/esac for checking CONFIG_KERNEL
	  Add more "&&"s
	  Don't use `run_make` for graphical configs
	* CONFIGURE: Don't ask for USE_GUI if using OLD_CONFIG

2004-08-25 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.4_PRE to 2.4.28-pre2
	  Updated latest 2.4 to 2.4.27
	  Updated latest 2.6_PRE to 2.6.9-rc1
	  Updated latest 2.6_MM to 2.6.8.1-mm4
	* patches/alps: Added ALPS Synaptics patch for ner0x

2004-08-20 Eric Sandall <sandalle@sourcemage.org>
	* UPDATE_BOOTLOADER: Add initrd line to grub menu generation
	* patches/grsecurity: Added 2.0.1-2.6.7 and 2.0.1-2.4.27

2004-08-19 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Set VOYEUR to "on" if using `make oldconfig`
	* KERNELS: Updated 2.6 MM to 2.6.7-mm7
	* BUILD, CONFIGURE: Don't use a GUI when doing oldconfig
	* patches/bootsplash: Updated 2.6.7 to sp3-2.6.7
	  Added sp3-2.6.8.1
	  Removed 3.0.7-2.4.20-vanilla and 3.1.4-2.6.7-rc3
	* patches/selinux: Added
	* selinux.gpg: Added
	* patches/openMosix: Renamed to patches/openmosix
	* patches/hashDoS: Renamed to patches/hashdos

2004-08-14 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: upgrade 2.6 to 2.6.8.1. Let's see if it works under kernel's
	  "new development model" :-);
	* DETAILS: make the detection routine work with versions like 2.6.8.1
	  in addition to usual like 2.6.8 and 2.6.9-pre1.
	* UPDATE_BOOTLOADER: fix grub menu update.

2004-07-27 Seth Woolley <seth@tautology.org>
	* BUILD, PREPARE: allow one to modify ARCH for the kernel build process.
	* PREPARE: set 2.6.x kernel series to be default kernel.

2004-07-17 Eric Sandall <sandalle@sourcemage.org>
	* UPDATE_BOOTLOADER: silo_update can call lilo_image_entry
	  (silo_image_entry never existed...)

2004-07-14 Seth Woolley <seth@tautology.org>
	* patches/nftcpopts: netfilter tcp options DoS SECURITY FIX!

2004-07-02 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: Set REUSE_SOURCE to "n" if we're to build a new tree (even
	  if the old source doesn't exist)
	* PRE_BUILD: Check for the old source directory before removing it when
	  REUSE_SOURCE is "n"

2004-06-23 Eric Sandall <sandalle@sourcemage.org>
	* patches/grsecurity: Added 2.0-2.6.5 and 2.0-2.4.26
	* patches/bootsplash: Added 3.1.7-2.6.7-rc3, 3.0.7-2.4.26-debian,
	  and 3.0.7-2.4.25-debian
	  SOURCE_URL changed to http://www.bootsplash.de/files
	  Added website to HELP
	* patches/kgdb: Added website to HELP
	* patches/packetcd: Added 2.6.6 and 2.6.5
	* BUILD: Ask if the user wants to use the GUI
	  Add some missing "&&"s
	  Move most queries to CONFIGURE
	* PREPARE: Change query to use Sorcery's config_query
	* PRE_BUILD: Move query to CONFIGURE
	  Cleanup some of the echoes to messages
	* CONFIGURE: Add config_query entries

2004-06-16 Seth Woolley <seth@tautology.org>
	* DETAILS: updated UPDATED
	* patches/i2csec: patch for i2c security overflow local user
	  exploit SECURITY FIX CRITICAL (if you use i2c in 2.4.x kernels)!

2004-06-16 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 2.6.7
	* KERNELS: LATEST_2_6 = 2.6.7

2004-06-14 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: LATEST_2_6_PRE = 2.6.7-rc3

2004-06-14 Seth Woolley <seth@tautology.org>
	* patches/fpusec: patches for fpu exception DoS SECURITY FIX!

2004-06-11 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* patches/medley: Added Medley Software RAID patch

2004-06-03 Jason Flatt <jflatt@sourcemage.org>
	* patches/bootsplash: Added more entries to cover missing kernel
	  versions.

2004-05-24 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_MM to 2.6.6-mm5

2004-05-24 Treeve Jelbert <treeve@sourcemage.org>
	* KERNELS: LATEST_2_6_PRE = 2.6.7-rc1

2004-05-19 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_MM to 2.6.6-mm4
	  Updated LATEST_2_4_PRE to 2.4.27-pre3

2004-05-17 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_MM to 2.6.6-mm3

2004-05-13 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_MM to 2.6.6-mm2

2004-05-10 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_MM to 2.6.6-mm1

2004-05-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS, KERNELS: 2.6.6

2004-05-09 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/libata: updated sata support patch
	* KERNELS: Updated LATEST_2_4_PRE to 2.4.27-pre1

2004-04-20 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/libata: Added sata support patch

2004-04-15 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_4* to 2.4.26

2004-04-07 Treeve Jelbert <treeve@sourcemage.org>
	* mk.2.6.diff: revised version for 2.6.5 kernel

2004-04-06 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update VERSION to latest 2.6

2004-04-04 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6 to 2.6.5

2004-03-29 Andrew Stitt <astitt@sourcemage.org>
	* BUILD: added an ARCH line for ppc

2004-03-25 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_4_PRE to 2.4.26-pre6

2004-03-25 hgg <hgreig@bigpond.net.au>
	* BUILD: add INSTALL_ROOT to the config copying lines

2004-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* KERNELS: 2.6.5-rc2

2004-03-14 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/dsdt: Updated DSDT patch for kernel 2.6.4

2004-03-12 Treeve Jelbert <treeve@sourcemage.org>
	* mk.2.6.diff: add revised version for 2.6.4 kernel

2004-03-11 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS, DETAILS: 2.6.4, 2.6.4-mm1

2004-03-10 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.6.4-rc3, 2.4.26-pre2, 2.2.26, 2.6.4-rc2-mm1

2004-03-01 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_4_PRE to 2.4.25
	  Thanks Ladislav, I wasn't thinking when I did this. ;)

2004-03-01 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_PRE to 2.6.4-rc1
	  Updated LATEST_2_4_PRE to 2.4.25-rc1
	* patches/bootsplash: Update to "3.1.4-2.6.3

2004-02-28 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: allow reuse of existing source tree
	  this will speed up frequent rebuilds of the same kernel version
	* BUILD: allow use of xconfig or gconfig if feasible,
	  patch to enable use of QT
	  disable "make mrproper"
	* mk.2.6.diff: add

2004-02-28 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* updated i2c patch, new packetcd patch

2004-02-28 hgg <hgreig@bigpond.net.au>
	* patches/dm: move to sourcemage mirror and add a 2.4.25 patch

2004-02-26 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated LATEST_2_6_MM to 2.6.3-mm4

2004-02-25 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* PREPARE, DETAILS: make 2.6.x the default kernel now

2004-02-23 Unet <audio@sourcemage.org>
	* KERNELS: Updated latest 2_6_MM to 2.6.3-mm3

2004-02-20 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_MM to 2.6.3-mm2

2004-02-19 Eric Sandall <sandalle@sourcemage.org>
	* UPDATE_BOOTLOADER: Shouldn't insert "restricted" into lilo.conf
	  unless they have password set.
	* WIP: Removed

2004-02-18 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* PREPARE, DETAILS: some string fixes (#5700 and others)
	* DETAILS, KERNELS: Updated to 2.4.25, 2.6.3, 2.6.3-mm1

2004-02-17 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated to 2.6.3-rc4

2004-02-16 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* KERNELS: Updated to 2.4.25-rc2, 2.6.3-rc3 and 2.6.3-rc3-mm1

2004-02-10 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Testing for wrong flag ($HOST) to determine
	  $ARCH; it now uses `uname -m` so that it will catch
	  what machine it's compiling /on/ instead of what
	  the user selected (which may break cross-compiling the kernel).
	  The old way, the kernel would not compile correctly for a sparc64
	  (since userland is compiled as 32-bit, the kernel would detect
	  only "sparc" in HOST, not "sparc64", and the kernel has to be
	  compiled as 64-bit).
	  Tested on my sparc64 and athlon-mp (i686), got further than before. ;)

2004-02-09 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to .3-rc2

2004-02-08 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Latest 2_0 to .40

2004-02-07 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/dsdt: Added DSDT patch

2004-02-06 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updates latest 2_6_PRE to .3-rc1

2004-02-05 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_4_PRE to .25-rc1
	  Updated latest 2_6 -mm to .2-mm1

2004-02-04 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* KERNELS: Updated to 2.6.2 and 2.6.2-rc3-mm1
	* DETAILS: Fixed Url for mm patch

2004-02-03 hgg <hgreig@bigpond.net.au>
	* PRE_BUILD: making symlinks should not be absolute paths :)

2004-02-01 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to .2-rc3

2004-01-29 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_4_PRE to -pre8

2004-01-27 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_0_PRE to .40-rc8

2004-01-26 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to .2-rc2

2004-01-24 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_4_PRE to -pre7

2004-01-22 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_6_PRE to .2-rc1
	* patches/kgdb: Added KGDB patch
	* PRE_BUILD: Had to modify the way patches are
	  applied /only/ for the kgdb patch.

2004-01-20 hgg <hgreig@bigpond.net.au>
	* KERNELS: 2.6.1-mm5 for latest mm

2004-01-19 Eric Sandall <sandalle@sourcemage.org>
	* patches/ck: Updated to 2.4.24-ck1
	  Changed how some of the URLs are made
	  Now hosted on http://www.plumlocosoft.com/kernel/

2004-01-16 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest MM to 2.6.1-mm4
	  Updated latest 2_4_PRE to .25-pre6

2004-01-15 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2_4_PRE to .25-pre5

2004-01-14 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest MM to 2.6.1-mm3

2004-01-13 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest MM to 2.6.1-mm2

2004-01-14 hgg <hgreig@bigpond.net.au>
	* PRE_BUILD: re-add a symlink to /usr/src/linux but still build from
	  /usr/src/linux-$version

2004-01-09 hgg <hgreig@bigpond.net.au>
	* KERNELS: LATEST_2_6_mm=2.6.1-mm1, LATEST_2_6=2.6.1

2004-01-08 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* patches/xfs: Updated to 2.4.24-pre1

2004-01-08 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest pre 2.6 to 2.6.1-rc3
	  Updated latest -mm to 2.6.1-rc2-mm1 (released 5 seconds after
	  2.6.1-rc3, which has everything from 2.6.1-rc2-mm1)

2004-01-07 Unet <unet@sourcemage.org>
	* BUILD: Added ppc case for correct system.map generation
	* patches/ben: Added 2.4.22-ben2 for sync with new ppc iso

2004-01-05 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* DETAILS, KERNELS, PREPARE: 2.4.24 is released
	  (important security fixes)

2003-12-25 hgg <hgreig@bigpond.net.au>
	* KERNELS: latest MM is 2.6.0-mm1

2003-12-21 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/i2c: updated to 2.8.2 for kernels 2.4.22 and 2.4.23

2003-12-18 hgg <hgreig@bigpond.net.au>
	* PREPARE,KERNELS: 2.6.0 is released

2003-12-17 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated latest -mm to -test11-mm1

2003-12-18 hgg <hgreig@bigpond.net.au>
	* PRE_BUILD: if links are made use -sf so they don't fail

2003-12-14 hgg <hgreig@bigpond.net.au>
	* PRE_BUILD,BUILD: change /usr/src/linux to /usr/src/linux-${VERSION}
	* PRE_BUILD: only make symlinks if they are not already directories

2003-12-13 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.4 to 2.4.24-pre1

2003-12-10 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: crypto MD5SUM_DL make consistent with sorcery and
	  clarify stuff.

2003-12-10 Seth Woolley <seth@tautology.org>
	* patches/dm: added 2.4.23-pre7.dm3 (applies to 2.4.23 fine)

2003-12-06 hgg <hgreig@bigpond.net.au>
	* patches/bootsplash: add 2.6.0-test* version

2003-12-04 Ladislav Hagara <hgr@vabo.cz>
	* patches/preempt: corrected MD5S [Bug 5046]

2003-12-02 Seth Woolley <seth@tautology.org>
	* patches/xfs: update to 2.4.23

2003-12-01 hgg <hgreig@bigpond.net.au>
	* patches/openMosix: update to 2.4.22-2

2003-11-26 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.4 to .23

2003-11-26 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.6 to -test11

2003-11-26 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest -mm to -test10-mm1

2003-11-24 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.4.23 to -rc4

2003-11-24 Ladislav Hagara <hgr@vabo.cz>
	* patches/lufs: added patch for LUFS file system

2003-11-24 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.6 to 2.6.0-test10

2003-11-21 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.4.23 to -rc3
	  Updated latest -mm to -test9-mm5

2003-11-19 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updates latest -mm to -test9-mm4

2003-11-19 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.4.23-rc2

2003-11-04 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updates latest -mm to -test9-mm3

2003-11-10 Arwed v. Merkatz <v.merkatz@gmx.net>
	* UPDATE_BOOTLOADER: now working for grub too

2003-11-04 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updates latest -mm to -test9-mm2

2003-10-30 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updates latest -mm to -test9-mm1

2003-10-30 Ladislav Hagara <hgr@vabo.cz>
	* KERNELS: 2.4.23-pre9

2003-10-27 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.6 to -test9

2003-10-20 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest -mm to -test8-mm1

2003-10-18 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* patches/preempt: Added preempt patch for 2.4.22 and 2.4.23-pre5

2003-10-17 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.6 to -test8

2003-10-15 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest -mm to 2.6.0-test7-mm1

2003-10-11 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated latest 2.4-ac to 2.4.22-ac4
	  and latest 2.6-ac to 2.6.0-test1-ac3

2003-10-10 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Now creates generic asm symlink to asm-${ARCH}
	  if it does not exist. Not sure why this breaks on some
	  2.6 kernels (I only recently found it on -test7 and -test6-
	  mm4 after the 2003-10-08 update, not sure if it's from that
	  update (I doubt it) or if it's semi-random/depends on what
	  system you build it, but it's now fixed if it ever happens
	  again for any kernel.
	* UPDATE_BOOTLOADER: GRUB kernel entries now have some spacing
	  between each one. Almost ready to be enabled for everyone. ;)
	* HISTORY: Updated to follow Guru Handbook

2003-10-09 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated 2.4.23 to -pre7

2003-10-08 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Updated 2.6.0 to -test7

2003-10-08 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* DETAILS, KERNELS, PREPARE: Added -mm patch
	  the way it's done with the -ac and -dj patches

2003-10-07 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added optional dependency on gnupg

2003-10-06 Jose Bernardo <jbernardo@sourcemage.org>
	* patches/acpi: due to patches file format change,
	  removed previous patches and added latest iteraction
	  (2.4.22, 2.4.23-pre4 and 2.6.0-test5)

2003-10-05 Jason Flatt <jason@flattfamily.com>
	* patches/i2c: corrected MD5 for 2.4.22
	* patches/bootsplash: added patch for 2.4.22 (from Hamish)

2003-10-04 Eric Sandall <sandalle@sourcemage.org>
	* patches/mm: Updated to -mm3

2003-10-02 Eric Sandall <sandalle@sourcemage.org>
	* patches/mm: Updated to -mm2

2003-09-29 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Update to 2.6.0-test6
	* patches/mm: Update to 2.6.0-test6-mm1

2003-09-25 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* POST_INSTALL: Fix to make sure $VERSION get's passed to
	  UPDATE_BOOTLOADER. Needs some additional testing

2003-09-25 Eric Sandall <sandalle@sourcemage.org>
	* patches/mm: Add Andrew Morton's -mm kernel (2.6.0-test5-mm4)

2003-09-24 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.23-pre5.

2003-09-24 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* BUILD: added a optional make oldconfig [bug 996]

2003-09-24 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: updated VERSION to 2.4.22
	  VERSION is used by web scripts [bug 3699]

2003-09-22 Eric Sandall <sandalle@sourcemage.org>
	* patches/ck: Typo in the changed SOURCE_URLs for ck patch

2003-09-20 Eric Sandall <sandalle@sourcemage.org>
	* patches/ck: Updated to use full 2.4.22-ck2 patch
	  Updated incremental 2.4.22-ck2 patches
	  ck patches have a new SOURCE_URL
	  Fixed wrong MD5 for 2.4.21-ck3 (Bug #3704)
	* BUILD: Added vmlinu[x|z|bz] symlinks (Bug #4218)
	  Changed spell_install to check for binary (Bug #4163)

2003-09-08 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Update latest 2.6_TEST to 2.6.0-test5
	* patches/openMosix: Update 2.4.22-1

2003-09-05 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/bluez,patches/i2c: Updated bluetooth and I2C support
	  for kernel 2.4.22

2003-09-02 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.23-pre3.

2003-08-25 Eric Sandall <sandalle@sourcemage.org>
	* KERNELS: Upgrade latest 2.6 to test4
	  Upgrade latest 2.4 to .22 (-rc no longer available)
	  Thanks to Robin

2003-08-10 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-rc2.

2003-08-07 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-rc1.

2003-08-06 Seth Woolley <seth@tautology.org>
	* Tracked down a spurious bug that happens when
	  one version is a substring of another version
	  in the same patch (like ck). Thanks to Xenith
	  for reporting the symptom.

2003-08-05 Eric Sandall <sandalle@sourcemage.org>
	* UPDATE_BOOTLOADER: Added preliminary and UNTESTED support for grub
	  Since it's untested, it does not overwrite your default configuration

2003-08-05 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-pre10.

2003-08-03 Chris Brien <cbrien@sourcemage.org>
	* patches/bootsplash: Add patch for 2.4

2003-07-30 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-pre9.

2003-07-29 Seth Woolley <seth@tautology.org>
	* KERNELS: Updated 2.6-test branch to 2.6.0-test2

2003-07-25 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-pre8.

2003-07-24 Ladislav Hagara <hgr@vabo.cz>
	* patches/cryptoapi_patch: added version 2.4.21.0 of cryptoapi_patch

2003-07-22 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* patches/i2c: Added patch for 2.8.x support for kernel 2.4.21
	  Can be generated easily for any other kernel using i2c's
	  mkpatch utility.

2003-07-21 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-pre7.
	  Likely last update before RCs start to come out.

2003-07-18 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-pre6.

2003-07-14 Seth Woolley <seth@tautology.org>
	* KERNELS: Added 2.6.0-test1 support.
	  Since I don't know how they are going to name pre/rc kernels of
	  the test series, might need more fiddling if they are going to
	  pre/rc them since I hacked this onto the pre/rc code, though
	  it's an easy fix... just wanted to get this in.

2003-07-12 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.4 "pre" version to 2.4.22-pre5.

2003-07-11 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.5 version to 2.5.75
	  (the last in the 2.5 series?).
	  Upgrade latest 2.4 "pre" version to 2.4.22-pre4.

2003-07-10 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Added (Bug #3581)

2003-07-04 Sergey Lipnevich <sergey@sourcemage.org>
	* KERNELS: Upgrade latest 2.5 version to 2.5.74.
	  Upgrade latest 2.4 "pre" version to 2.4.22-pre3.

2003-06-23 hgg <hgreig@bigpond.net.au>
	* DETAILS: ARCHIVE="off" fix in bugzilla bug #1068,
	  reverting change 13315, keeping 13321

2003-06-01 Seth Woolley <seth@tautology.org>
	* patches/xfs: Changed md5 of 2.4.20 xfs patch, as it changed (other
	  versions stayed the same) -- xfs people have been known
	  to do this.

2003-05-23 Seth Woolley <seth@tautology.org>
	* patches/ioperm: Added patch for security fix, other part of 3362.

2003-05-17 Chris Brien <cbrien@sourcemage.org>
	* BUILD: The spell now respects INSTALL_ROOT and HOST.

2003-05-16 Seth Woolley <seth@tautology.org>
	* PRE_BUILD: Changed checkmd5() routine to match our interpreted
	  URL setup (BTW, that's totally borked, but that's sorcery's fault)
	* patches/hashDoS: Added patch for security fix. part of bug #3362.

2003-02-27 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Added support for Sparc systems
	* UPDATE_BOOTLOADER: Changed case statement to use `uname -m`
	  as $BUILD is not defined yet

2003-01-08 Seth Woolley <seth@tautology.org>
	* PRE_BUILD,DETAILS: Added MD5 and GPG support to everything.
	  Now nothing should be downloaded from this spell
	  without some sort of verification.
	* GPG was chosen because the spell allows one to arbitrarily
	  pick CUSTOM kernels, and kernel.org already has
	  a .sign file for every regular file.
	* MD5PATCH, GPGPATCH: added
	* CONFIGURE: changed to PREPARE and modified
	* kernel.gpg: (for kernel.org) added.
	* grsecurity.gpg: (for grsecurity.org) added.
	* patches/*: All have all MD5s filled in and line added
	  to call MD5PATCH script, unless gpg would work on them
	  as those have a GPGPATCH call instead and their
	  PUBRINGFILE variable set.
	* patches/ck,patches/ck_extras: ck split into ck and ck_extras.
	* patches: Various patches were updated.
	* patches/framebuffer: Raven framebuffer made optional and put in
	  patches/
	* If gpg is not found, it will explain steps to get around
	  a lack of gnupg, even if no kernel headers exist.
	* HISTORY: Made smgl-compliant.
	* Wolfgang debugged and helped immensely.

2002-12-12 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* POST_INSTALL: Finally removed the last "build after linux" spells from
	  the list so they are forced to use TRIGGERS

2002-09-21 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* Fixed some Variable names to make the spell work with new
	  sorcery

2002-09-06 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* Finally replacing old kernel spells by this one

2002-08-20 Wolfgang Scheicher <worf@sbox.tu-graz.ac.at>
	* Rewrite - Attempt to merge several kernel spells into one
	  Now features a menu to select which version to build
